"Changes" by "David Given"

The story genre is "Science Fiction". 
The release number is 8.
The story creation year is 2012.
The story description is "Elysia: a new Earth. Possibly the greatest
opportunity the starship Concerto has found in its thousand-year voyage. But
with opportunities there are risks, and there's more going on on Elysia than
meets the eye. And the Concerto's fate is entwined with Elysia's..."

Part - Setup (for Z-machine only)

Use memory economy.

Part - Setup

Use no scoring.

To say Concerto:
	say "[italic type]Concerto[roman type]".
	
To say Concerto's:
	say "[Concerto][']s".
	
To say Semiquaver:
	say "[italic type]Semiquaver[roman type]".

To say Semiquaver's:
	say "[Semiquaver][']s".

To say Changes:
	say "[italic type]Changes[roman type]".

To say br:
	say "[conditional paragraph break]".
	
Instead of wearing:
	say "Hardly."

Talking is an action applying to nothing. To-talking is an action applying to one thing. Understand "talk" as talking. Understand "speak" as talking. Understand "talk to [something]" as to-talking. Understand "ask [something]" as to-talking.

Instead of talking:
	say "[one of]You make a few strange barking and croaking noises, but it's obvious that's simply not going to work.[or]You don't even bother to try.[stopping]".

Instead of to-talking or singing or asking:
	try talking instead.

Instead of asking about:
	try talking instead.
	
Instead of inserting:
	say "You're carrying things around with your teeth. The only way you can do that is to drag it there."

To say the special location:
	say "[the player's surroundings]";
	if the holder of the player is not the location of the player:
		say " (on [the holder of the player])".
	
When play begins:
	now the left hand status line is "[the special location]";
	now the right hand status line is "".

To say it-is (X - an object):
	if X is plural-named:
		say "they are";
	else:
		say "it is".

To fail:
	say "You don't see any reason why you would want to do that."

After reading a command (this is the ignore beta-comments rule): 
	if the player's command matches the regular expression "^\*": 
		reject the player's command.

Part - Screen Effects (for Z-machine only)

Include (-

[ SPACEPause i;
        while (i ~= 13 or 31 or 32)
        {
                i = VM_KeyChar();       
        }
];

-)

To clear the/-- screen:
	(- VM_ClearScreen(0); -)
	
To wait for the/-- SPACE key:
        (- SPACEPause(); -)

To pause the/-- game: 
	say "[paragraph break]Please press SPACE to continue.";
	wait for the SPACE key. 

Part - Utilities

To say (O - object) in mixed case:
	(-  print (Cap) {O}; -).
To say (T - text) in mixed case:
	(-  print (Cap) {T}; -).

To decide which object is the direction of (W - a room) from (R - a room):
	repeat with D running through directions:
		if the room D from R is W:
			decide on D;
	decide on nothing.

To decide which object is the direction of (T - a description of rooms) from (R - a room):
	repeat with D running through directions:
		if the room D from R matches T:
			decide on D;
	decide on nothing.

To decide which object is the direction of (T - a description of objects) from (R - a room):
	repeat with D running through directions:
		repeat with O running through the things in room D from R:
			if O matches T:
				decide on D;
	decide on nothing.
		
First carry out going rule:
	now the last location of the player is the location.


Chapter - Locale ordering

A thing can be early listed, normally listed or late listed. Things are usually normally listed.

After choosing notable locale objects for a room (called R):
	repeat with A running through animals in R:
		if A is not localed:
			set the locale priority of A to 0; 
		else:
			set the locale priority of A to 10;
	repeat with O running through things in R:
		if O is early listed:
			set the locale priority of O to 4;
		else if O is late listed:
			set the locale priority of O to 6.

Chapter - Carrying

A thing can be heavy or light. A thing is usually heavy.

Before taking something (called O1) when the player is carrying something (called O2):
	if O1 is O2:
		say "You're already carrying [the O1].";
		stop;
	say "(first dropping [the O2])";
	silently try dropping O2.
	
Report taking something when the location of the player is wet:
	say "You swim up to [the noun] and take a firm hold with your teeth.";
	stop.

Report taking something when the player is a lemur:
	say "[one of]You pick [the noun] up with difficulty, but then discover that the lemur can't walk bipedally and you're going to need your arms to move. So you end up [if the noun is heavy]dragging it around by your teeth[otherwise]carrying it around in your mouth[end if] again.[or][if the noun is heavy]You pick up one end of [the noun].[otherwise]Taken.[end if][stopping]";
	stop.

Report taking something heavy:
	say "[one of]Your absence of hands is a bit of problem, but you end up picking up one end of [the noun] in your mouth.[or]You pick up one end of [the noun].[stopping]";
	stop.
	
Report taking something light:
	say "[one of]In the absence of any other options, you pick up [the noun] in your mouth.[or]Taken.[stopping]";
	stop.
	 
Report dropping something when the location of the player is wet:
	say "You let go of [the noun] and it floats aimlessly.";
	stop.
	
Report dropping something heavy:
	say "[one of]You let go of [the noun] with much relief and it drops to the ground. Your mouth aches.[or]Dropped.[stopping]";
	stop.
	
Report dropping something light:
	say "[one of]You carefully put down [the noun].[or]Dropped.[stopping]";
	stop.
	
After going when the player is carrying something heavy (called T):
	let L be the location of the player;
	let OL be the last location of the player;
	if L is wet and OL is wet:
		say "You tow [the T] along behind you.";
	else if L is wet and OL is not wet:
		if L is the Deep Plunge:
			say "[The T] falls in with you.";
		else:
			say "You drag [the T] into the water.";
	else if L is not wet and OL is wet:
		say "You haul [the T] out of the water.";
	else if T is your body:
		say "You drag your body with you. It's incredibly heavy.";
	else:	
		say "You laboriously drag [the T] with you.";
	continue the action.

Instead of taking inventory when the player is carrying something:
	let T be a random thing carried by the player;
	if T is heavy:
		say "You are [if the location of the player is wet]towing[otherwise]dragging[end if] [a T] along behind you.";
	else:
		say "You are carrying [a T] in your mouth."
		
Instead of taking inventory when the player is not carrying something:
	say "You aren't carrying anything."

Instead of pushing or pulling a heavy thing:
	say "You don't have enough weight and traction to do that. You'll have pick it up and drag it."
	
Instead of pushing or pulling a light thing:
	say "The only way you'll move it is to pick it up and carry it."

Instead of pushing a thing (called O) to:
	try pushing O instead.
	
Rule for listing nondescript items of a wet room (called R):
	say "You can see ";
	list the contents of R, as a sentence, tersely, listing marked items only, including contents and giving brief inventory information;
	say " floating nearby."
	
Understand "catch [an animal]" as taking.

Chapter - General Extras

Instead of going up when the location of the player contains a supporter (called S):
	try climbing the S instead.

Chapter - Pressing

Understand the command "press" as something new. Pressing is an action applying to one thing. Understand "press [something]" as pressing. Understand "activate [something]" as pressing. Understand "switch on [something]" as pressing.

A thing can be pressable.

Check pressing:
	fail;
	stop.

Instead of using a pressable thing (called T):
	try pressing T instead.
	
Instead of pushing a pressable thing (called T):
	try pressing T instead.

Instead of using or pushing or pressing a thing which incorporates a pressable thing (called T):
	try pressing T instead.
	
Part - Flora & Fauna

Understand "animal" as an animal.

An animal has some text called the reflection. The reflection of an animal is usually "".
An animal can be introduced. An animal is usually not introduced.

An animal can be inhabitable or an NPC. An animal is usually an NPC.
The carrying capacity of an animal is 1.
An animal can be alive, or dead. It is usually alive.
An animal can be localed. An animal is usually not localed.
An animal can be scary to rabbits. An animal is usually not scary to rabbits.

An animal has a number called the swim time. The swim time of an animal is usually 0.

Treading water is an animal based rulebook.
Drowning is an animal based rulebook.

A corpse is a kind of thing. Understand "corpse" as a corpse.

Instead of eating a corpse (called T):
	say "Given how much work getting [the T] was, you don't want to waste it now. Even if the thought didn't make you feel nauseous." 


Chapter - The Herb

The aromatic bush is a kind of thing. It is fixed in place. The aromatic bush can be chewed.  Understand "aromatic", "thorn", "thorns", "spiky", "spikes", "leaves", "leaf", "parsley", "bush", "herb", "herbs", "plant" as the aromatic bush.

"[if chewed]The ravaged remains of some of the thorny aromatic bushes are slowly dying here.[otherwise]Bushes of the thorny aromatic plant grow profusely.[end if]"

The description is "[if chewed]There's just a few bare sticks here. Whatever did this didn't just eat all the leaves; they managed to pull the thorns off as well.[otherwise]Unlike the animals, this plant defies neat categorisation into the Earth ecosystem. A great froth of slightly furry parsley-like leaves shields long, razor sharp thorns underneath. It smells intensely of... something. Mint crossed with vanilla? It's very strong and not very appetising.[end if]"

A bundle of aromatic leaves is a kind of thing. It is light. The plural of bundle of aromatic leaves is bundles of aromatic leaves. "A wilting bundle of aromatic leaves lies on the ground. It still stinks." Understand "leaf", "leaves", "herb", "herbs" as the bundle of aromatic leaves. There are 10 bundles of aromatic leaves.

The description is "It tastes just as strongly as it smells."

Before taking the aromatic bush when the player is carrying a bundle of aromatic leaves:
	say "You've already got some." instead.
		
Before taking the aromatic bush:
	ignore the can't take what's fixed in place rule;
	continue the action.

Check taking the aromatic bush:
	if the aromatic bush is chewed:
		say "There aren't any leaves left!" instead;
	let H be a random off-stage bundle of aromatic leaves;
	if H is nothing:
		say "You're sick of carrying that stuff around." instead;

Carry out taking the aromatic bush:
	let L be a random off-stage bundle of aromatic leaves;
	move L to the player;
	set pronouns from L;
	stop.

First report taking the aromatic bush:
	say "You gingerly take a mouthful of leaves, avoiding the thorns." instead.

Before eating the aromatic bush:
	say "You're not cut out to be a browser." instead.

Instead of eating the bundle of aromatic leaves:
	say "You really don't want to eat those."

Definition: a room is aromatic:
	if it is bushed, yes;
	if it contains a bundle of aromatic leaves, yes;
	if it contains the player and the player has a bundle of aromatic leaves, yes;
	no.

Check an actor smelling when the location of the actor is aromatic:
	say "All you can smell is that plant." instead.




Chapter - Deer

The NPCDeer is an animal. The printed name is "deer". Understand "herd", "deer", "buck", "doe", "does" as the NPCDeer.

The description is "There are five of the creatures. One male, two females, and a couple of juveniles? It's very hard to tell, as they're all very similar apart from the size. They're smaller than you were expecting from the survey, barely the size of a large dog, but the blue-green fur is just as startling as you remember. They each have a single forward-curving horn that looks extremely sharp."




Chapter - Fish

The living fish is a kind of thing. They are fixed in place.

The dead fish is a kind of thing. It is light. The description is "It's oozing some kind of foul-smelling ichor." There are 10 dead fish.

Before taking the living fish when the player is carrying a dead fish:
	say "You've already got one." instead.
	
Before taking the living fish:
	ignore the can't take what's fixed in place rule;
	continue the action.

Check taking the living fish:
	let F be a random off-stage dead fish;
	if F is nothing:
		say "You've strewn enough dead fish around the forest for now." instead.

Carry out taking the living fish:
	let F be a random off-stage dead fish;
	move F to the player;
	set pronouns from F;
	stop.

First report taking the living fish:
	say "[one of]You easily catch one of the stranded fish and bite down on the back of its neck. [italic type]Snap-crunch[roman type]. You feel nauseous.[or]You kill another fish.[stopping]" instead.

Before eating the living fish:
	say "It's still moving." instead.

Before eating the dead fish:
	say "[if the player is an otter][one of]It smells vile. Shouldn't you [italic type]like[roman type] these things now? You find yourself feeling cheated and angry, somehow.[or]It smells vile.[stopping][else]It smells vile." instead.

Definition: a room is fishy:
	if it contains a dead fish, yes;
	if it contains the player and the player has a dead fish, yes;
	no.

Check an actor smelling when the location of the actor is fishy:
	say "All you can smell is dead fish." instead.

Check an actor smelling when the location of the actor is fishy and the location of the actor is aromatic:
	say "The smell of the fish and the aromatic plant combine to form an odour that is truly special." instead.



Chapter - Beavers

Section - NPC

NPCBeavers are animals. The printed name is "beavers". Understand "beaver", "beavers", "stocky", "creatures" as the NPCBeavers. 

The NPCBeavers are not localed.

The description is "Unlike the other Earth namesakes in the canyon, the beavers here look [italic type]absolutely nothing like[roman type] the Earth kind. They're small and stocky, with a bulldog neck and serrated tusks that stick out sideways from their mouths which they use to saw through trees. They don't have big teeth, they don't gnaw and they certainly don't have the trademark tail. The dam they're building isn't much good, either.[first time]

You did ask Francis about them, you remember: he was the primary author of the survey report. He just shrugged. 'They had a dam, and we ran out of imagination,' he said.[only]"

Animal emotion rule for the NPCBeavers when the NPCDeer are in the Beaver Dam or a fox is in the Beaver Dam:
	rule succeeds with result hostility.
	
Animal emotion rule for the NPCBeavers:
	rule succeeds with result concentration.
	
Section - Corpse

Some Deceased Beavers are corpses. The printed name is "dead beavers". Understand "beaver", "beavers", "body", "bodies", "dead", "corpse", "corpses", "grisly", "remains" as the deceased beavers. "The grisly remains of the dead beavers are scattered among the rocks."

The description is "Bloody and torn, almost mutilated. You shudder."

Instead of doing something other than examining the deceased beavers:
	say "You don't even want to look at them, let alone touch them."
	
Chapter - Rabbits

Section - Generic

A rabbit is a kind of animal.

The description is "The wide mouth, widely-spaced bulbous eyes, and folded frog-like hind legs made Francis want to call these creatures [italic type]ribbits[roman type]. To everyone's relief, the [Concerto] put its foot down and insisted that any names assigned now be strictly temporary: the exploitation team, if they ever landed on Elysia, would have the naming rights. And so for now, everyone's just calling them [italic type]rabbits[roman type].

Knowing human nature, of course, they'll probably be rabbits from now until the end of time, and you find yourself wondering whether Francis did it on purpose."

Section - NPC

The NPCRabbits are rabbits. The printed name is "rabbits". Understand "rabbit", "rabbits", "bunny", "bunnies" as the NPCRabbits.

The NPCRabbits are localed.

The NPCRabbits can be hiding.

Rule for writing a paragraph about the NPCRabbits:
	if the NPCRabbits are hiding:
		say "Eyes seem to be staring at you from out of the burrows.";
	else if the NPCRabbits are not introduced:
		introduce the NPCRabbits;
	else:
		say "The ground is covered with rabbits.";
		
To introduce the NPCRabbits:
	if the NPCRabbits are not introduced:
		say "You're suddenly face to face with a swarm of small furry creatures, scattered across the grass. For a moment you panic... and then you recognise them as other rabbits. Some of them look at you, but mostly they ignore you completely. You study them, fascinated. You never realised they came in so many different colours.";
		now the NPCRabbits are introduced.
		
Every turn:
	let FD be nothing;
	if a scary to rabbits animal is in the Warren:
		now FD is the Warren;
	else:
		now FD is the direction of a room containing a scary to rabbits animal from the Warren;
	if FD is not nothing and the NPCRabbits were not hiding:
		dbg "the rabbits go down their their holes";
		if the player is in the Warren:
			introduce the NPCRabbits;
			if FD is the Warren:
				if the player is scary to rabbits and the player was not scary to rabbits:
					[The player has just attacked the rabbits.]
					say "Before you can move, the rabbits all turn to stare at you in unison. Then something... odd... happens. The next thing you are aware of is that you're sitting right where you were, disoriented, and there are no rabbits.";
				else: 
					[I don't think this should ever happen, but...]
					say "There's a sudden blur of movement as the rabbits flee down their holes.";
			else: 
				say "The rabbits, all in unison, suddenly look to [the FD] for a moment. Then briskly but calmly they file into the burrows and are gone.";
		now the NPCRabbits are hiding;
	if FD is nothing and the NPCRabbits were hiding:
		dbg "the rabbits emerge from their holes";
		if the player is in the Warren:
			introduce the NPCRabbits;
			say "The rabbits all emerge from the burrows and 
			start doing... rabbity things... on the grass.";
		now the NPCRabbits are not hiding.
		
Every turn when the player is in the Warren and the NPCRabbits are not hiding and the NPCRabbits were not hiding:
	introduce the NPCRabbits;
	say "[one of]A couple of the rabbits sniff each other dubiously.[or]Several rabbits seem to be watching you with suspicion.[or]Some of the rabbits are staring up at the sky, as if they can see something there.[or]One rabbit chases another a few metres.[or]A rabbit yawns.[or]A rabbit scratches itself.[or]A few rabbits wander off up the hill a little.[or]One of the rabbits is asleep on its back, legs waving in the air.[or]A very small rabbit pokes its head out of a burrow, and then goes back down again.[or]Several rabbits are sitting motionless close to each other, with an air of being busy.[at random]"

Animal emotion for the NPCRabbits when the NPCRabbits are hiding:
	rule succeeds with result caution.

Animal emotion for the NPCRabbits:
	rule succeeds with result peacefulness.

Before doing anything with the NPCRabbits when the NPCRabbits are hiding:
	say "They're all down the burrows.";
	stop.
		
Section - Player

The PlayerRabbit is a rabbit. The printed name is "rabbit". It is inhabitable.

The description is "The view through the rabbit's eyes is... strange. Everything is sharp, spiky; every tiny movement in the trees around you jumps out and drags at your attention. Your peripheral vision extends nearly all the way around your head, and that feels really disturbing.

On the other hand, despite your head barely clearing the grass, your powerful hind legs makes moving in a series of lolloping bounds natural and easy. It feels strangely like swimming for reasons you can't quite place. [first time][paragraph break]And now you can't seem to get the word [italic type]lolloping[roman type] out of your head.[only]"

The reflection is "[one of][the initial view of the rabbit][or][the subsequent view of the rabbit][stopping]"
		
To say the initial view of the rabbit:
	say "Rather than the face you were expecting --- a battered one, but human --- you instead see a furry snout with bulbous eyes on each side and a wide mouth.

You recognise it from the survey report: the temporary name tagged on the creature is [italic type]rabbit[roman type], for fairly obvious reasons. Numbly, you find yourself interested that you're finally seeing one up close.

It's definitely you. Now you're actually [italic type]noticing[roman type], it's perfectly apparent that the body you're inhabiting is not your own. The fact that it feels totally natural is strangely unnerving.

But that still doesn't explain how, or why, although you can make a decent guess at where. "

To say the subsequent view of the rabbit:
	say "Yes, still a rabbit. You stare in horrified fascination for a few moments. "	

Last instead of jumping when the player is PlayerRabbit:
	say "You jump on the spot... and go quite a long way further up than you were expecting. But it doesn't help."
	
Chapter - Otter

Section - Generic

An otter is a kind of animal.

Section - NPC

The NPCOtter is an otter. The printed name is "otter". Understand "otter", "black" as NPCOtter.

The description is "It's not really an otter, of course; it's a quasi-mammal with the usual cartiligenous backbone that creatures have here. But it's got fur, warm blood, lives in water and eats fish, so the necessities of physics make it look vaguely otter-like, which means that's what everyone on the [italic type]Concerto[roman type] calls it."

Section - Player

The PlayerOtter is an otter. The printed name is "otter". It is inhabitable.

The description is "Being the otter is a quite different experience than being the rabbit. You feel enthused, full of energy, capable of doing anything, but your thoughts seem to jitter about aimlessly and it's difficult to concentrate. There's something strange about your time sense, too; the world seems to move in slow motion at odd moments. The last time you felt like this you were twelve."

The reflection is "The features you see have changed again. The narrow, weasel-like muzzle, the whiskers, the short, pointed ears --- yes, you are now looking out of the otter's eyes.

On close examination, you seem to recognise the features. Your new body is, you think, the same one that you dragged out of the sand pit up the side of the canyon. You don't really want to think too hard about the implications of that."
		
		
Section - Corpse

The Deceased Otter is a corpse. The printed name is "otter's body". Understand "otter", "body", "dead" as the deceased otter.

The description is "Streaky mud has been ground into the otter's fur; the eyes, once wide and shining, are dull and full of sand. Death by suffocation may not have caused any visible injuries but it is still, unmistakeably, death."


Chapter - Fox

Section - Generic

A fox is a kind of animal. A fox is scary to rabbits.

Section - NPC

The NPCFox is a fox. The printed name is "fox". Understand "fox", "lynx", "vicious" as NPCFox.

The description is "The fox looks even less like a fox than the rabbits looked like rabbits. It's more cat-like than dog-like, with a mottled brown and white coat and long, lynx-like ears; but the tail is bushy and it's a carnivore, so the name stuck."

Section - Player

The PlayerFox is a fox. The printed name is "fox". It is inhabitable.

The description is "The fox is sharp, focused. You feel like a razor, slicing through the world. Everything around you looks dingy and grey --- but anything that moves appears in vivid colour. Knowing that you are a weapon, that you live to kill, makes you tense and on edge. You find yourself wishing you were the otter again." 

The reflection is "As expected, the face looking back at you is the fox's. Yes. It's definitely the same one that you dragged out of the lake.

If this is the fox's body, what happened to the fox's mind?"


Section - Corpse

The Deceased Fox is a corpse. The printed name is "fox's body". Understand "fox", "body", "dead" as the deceased fox.

The description is "[if the location of the deceased fox is wet]The fox's body floats head-down, swaying gently in the water eddies. A few tiny bubbles rise from its mouth.[otherwise]The fox's body is limp and soggy. That bushy tail is now plastered down flat. It obviously inhaled water while it was drowning, as it gurgles when you move it and unpleasant fluid leaks from its mouth."



Chapter - Lemur

Section - Generic

A lemur is a kind of animal.

Section - NPC

The NPCLemur is a lemur. The printed name is "lemur". Understand "lemur", "monkey" as the NPCLemur.

The lemur is localed.

Last after choosing notable locale objects for a room (called R):
	if the NPCLemur is in R:
		if the NPCLemur is alive:
			set the locale priority of the NPCLemur to 10;
		else:
			set the locale priority of the NPCLemur to 0.
	
Rule for writing a paragraph about the NPCLemur when the NPCLemur is in the Beaver Dam:
	say "The lemur is painfully picking its way across the dam."
	
Rule for writing a paragraph about the NPCLemur when the location of the NPCLemur contains an aromatic bush:
	introduce the NPCLemur;
	say "The lemur is sitting in one of the thorny bushes."

Rule for writing a paragraph about the NPCLemur when the NPCLemur is not in the Beaver Dam and the location of the NPCLemur does not contain an aromatic bush:
	say "The lemur is sitting on a tree branch high above you."

The description is "There must be something about Earth-like planets. In shape the Elysian lemur is a startlingly similar creature to the ones in the [Concerto][']s garden, with long spindly arms and legs and delicate fingers. The green and brown mottled fur is different, though. [if the wrecked shuttle has been visited][first time][paragraph break]You suddenly notice that the lemur only has four fingers. So do your paws, for that matter; but the lemur's are long, dextrous... button pushing...[only]"

Section - Player

The PlayerLemur is a lemur. The printed name is "lemur". It is inhabitable.

The description is "The Mother Tree, in resurrecting the lemur's body, appears to have cured its drug habit. You feel... very much like yourself, to be honest. You uneasily wonder just how sentient the lemur was. The survey report was very firm that there was no intelligent life here, but you're now beginning to doubt that. You cast around mentally, looking for things in the back of your mind, but find nothing."  
 
The reflection is "By now you're completely reconciled to the sight of the lemur's reflection staring back at you from out of the filthy water. You barely give it a second glance."

Section - Corpse

The Deceased Lemur is a corpse. The printed name is "lemur's body". Understand "lemur", "body", "dead" as the deceased lemur.

The description is "The little monkey-like creature looks far too human to be anything other than utterly pathetic. The head lolls too easily on its broken neck."



Chapter - Declarations

A prop is a kind of thing. It is scenery.

Last before taking a prop:
	fail;
	stop.
	
A plant-prop is a kind of prop.

Last before eating a plant-prop:
	say "One of the first rules of exploring a strange planet is never to eat anything [italic type]ever[roman type]." instead.

Before taking a plant-prop (called P):
	say "You quite like [the P] where [it-is P]." instead.
	
A distant-prop is a kind of prop.

Before doing something other than examining a distant-prop:
	say "It's far too far away." instead.

A useless-prop is a kind of prop.

Last before taking a useless-prop:
	say "You don't see any point." instead.
	
The canyon is a kind of distant-prop.

A Mother Tree is a kind of distant-prop. A Mother Tree is privately-named. Understand "mother", "tree" as a Mother Tree.

Some metal is a kind of distant-prop.

Some sand is a kind of useless-prop.

Some cliffs is a kind of distant-prop.

Some mud is a kind of useless-prop.

The grass is a kind of plant-prop.

The stones are a kind of thing. It is fixed in place. Understand "rock", "rocks", "stone", "stones", "boulder", "boulders", "pebble", "pebbles" as the stones.

The rock pool is a kind of thing. It is fixed in place.

The river is a kind of prop. Understand "water" as the river.

Some burrows are a kind of thing. They are fixed in place. Understand "burrow", "burrows", "tunnels", "tunnel", "soil", "hole" and "holes" as the burrows.

Swimming is an action applying to nothing. Understand "swim" as swimming.

To fail to swim:
	say "You're pretty sure that [printed plural name of the player] can't swim.";	
	
Instead of swimming when (the location contains a river) or (in the Forest Cathedral):
	if the player is an otter:
		say "You slide into the river and splash about for a 
		bit, chasing the minnows, but there is really nothing to 
		do here so you climb out again and shake yourself off.";
	else:
		fail to swim.

Check swimming when the location is wet:
	say "You're already swimming!"
	
Check swimming when the location does not contain a river:
	say "There's nothing to swim in here."

In-swimming is an action applying to one thing. Understand "swim in [a prop]" as in-swimming.

Instead of in-swimming:
	try swimming instead.

Digging is an action applying to nothing. Understand "dig" as digging.

Digging-something is an action applying to one thing. Understand "dig [something]" as digging-something.

Check digging-something:
	fail;
	stop the action.
	
Check digging:
	if the player is not a rabbit:
		say "You scratch about a bit, but you're not really built for digging.";
		stop the action.

Carry out digging:
	say "You scuff the soil a little."

Carry out digging in a wet room:
	say "You stir up some bottom mud."

To decide whether wrecked:
	if Being the Lemur is happening:
		yes;
	else:
		no.
	
To say no such thing:
	say "You can't see any such thing. "

Part - Map

Chapter - Geography

A room can be wet or dry. A room is usually dry.
A room can be rivered.
A room can be forested.
A room can be either indoors or outdoors. A room is usually outdoors.

[
				Ledge -> Rock Pool
		Scree		Cascades -> Rock Pool
		Straggly Forest	Beach		 Lake
		Boulder		Beaver dam, pools	Overgrown Forest 		
		Open Woodland	Rapids			|			
		Sandy Mound	Meadow			Spring		
W Desert	Warren 		Marsh			Lower Slopes		E Desert
|				Cathedral <-> Pod						Shuttle
Bluff				Canyon Bottom
]	

The Precarious Ledge is north from the Cascades.

The Scree is west of the Cascades.

The Straggly Forest is west of the Beach and south of the Scree. The Beach is south of the Cascades. The Lake is east of the Beach.

The Boulder is west of the Beaver Dam and south of the Straggly Forest. 
The Beaver Dam is south of the Beach. The Beaver Dam is west of the 
Overgrown Forest. The Overgrown Forest is east of the Beaver Dam.

The Open Woodland is south of the Boulder and west of the Rapids. The 
Rapids are south of the Beaver Dam. 
	
The Sandy Mound is south of the Open Woodland and west of the Meadow. 
The Meadow is south of the Rapids. The Spring is 
south of the Overgrown Forest.

The Warren is south of the Sandy Mound and west of the Marsh. The Marsh 
is south of the Meadow. The Lower Slopes 
are south of the Spring.

The Forest Cathedral is south of the Marsh.

Bottom of the Canyon is south of the Forest Cathedral.

The Deep Plunge is down from the Cascades and down from the Precarious 
Ledge. The Lake is down from the Deep Plunge. Nothing is up from the Lake.

The Desert West is west of the Warren. The Bluff is south of the Desert West.
The Desert East is east of the Lower Slopes and north of the Wrecked Shuttle.

After going to an outdoors room from an indoors room:
	say "You emerge, blinking, into the sunlight. [introduction to Elysia][paragraph break]";
	continue the action.

After going to an indoors room from an outdoors room:
	say "It takes a few moments for your eyes to adjust to the dim light.";
	continue the action.

To succeed in crossing the river:
	say "You easily swim across the river."
	
To fail to cross the river:
	say "The river's in the way, and [the printed plural name of the player] can't swim."
	
Instead of going east in the Rapids:
	if the player is an otter:
		succeed in crossing the river;
		move the player to the Overgrown Forest;
	else:
		fail to cross the river.

Instead of going east in the Meadow:
	if the player is an otter:
		succeed in crossing the river;
		move the player to the Spring;
	else:
		fail to cross the river.

Instead of going east in the Marsh:
	if the player is an otter:
		succeed in crossing the river;
		move the player to the Lower Slopes;
	else:
		fail to cross the river.

Instead of going west in the Spring:
	if the player is an otter:
		succeed in crossing the river;
		move the player to the Meadow;
	else:
		fail to cross the river.
		
Instead of going west in the Lower Slopes:
	if the player is an otter:
		succeed in crossing the river;
		move the player to the Marsh;
	else:
		fail to cross the river.

The block listening rule is not listed in the check listening to rules.
	
Last carry out listening to:
	let L be the location of the player;
	if L is forested:
		say "Everything is quiet except for the wind moving through the trees.";
	else if L is wet:
		say "The gurgle and drip of water throbs heavily against your ears.";
	else if L is indoors:
		say "It is utterly silent.";
	else:
		say "All you can hear is the distant sound of wind and falling water."

The block smelling rule is not listed in the check smelling rules.

Last carry out smelling:
	let L be the location of the player;
	if L is forested:
		say "The trees have slightly acrid, slightly resiny smell that is not unappealing.";
	else if L is wet:
		say "You'd rather not take a lungful of water.";
	else if L is rivered:
		say "There's the faint wet smell of damp mud.";
	else:
		say "The air is good, nearly as good as the [Concerto's], but uninteresting.";
	stop.
	
Before eating or drinking when the player is carrying something (called T):
	say "Not when you're carrying [the T] in your mouth!";
	stop.
	
Before drinking when the location of the player is wet:
	say "You can't do that when you're swimming.";
	stop.
	
Before drinking the river:
	ignore the block drinking rule.

Check drinking the river when wrecked:
	say "It's less water and more liquid mud.";
	stop.
	
Check drinking the river:
	say "It's refreshing, but it doesn't help.";
	stop.
	
			
Zone 1 is a region. The Marsh, the Warren, the Meadow, the Sandy Mound, the Open Woodland, the Rapids, the Boulder, the Straggly Forest, the Beaver Dam, the Cascades, the Scree and the Beach are in Zone 1.

Zone 3 is a region. The Precarious Ledge is in Zone 3.

Zone 4 is a region. The Lower Slopes, the Spring, and the Overgrown Forest are in Zone 4.

Zone 5 is a region. Burrow Interior is in Zone 5.

Definition: a room (called R) is deer wandering territory if R is in Zone 1 or (the NPCBeavers are dead and R is in Zone 4).

Definition: a room (called R) is deer chasing territory if R is deer wandering territory.

Definition: a room (called R) is fox chasing territory if R is in Zone 1 or R is in Zone 3.

Definition: a room (called R) is otter chasing territory if R is in Zone 1 or R is in Zone 5 or R is the Lake.

Definition: a room (called R) is lemur wandering territory if R contains an aromatic bush.

Definition: a room (called R) is lemur chasing territory if R is forested or R is the Beaver Dam.

Definition: a room (called R) is foxed if a fox is in R.

Chapter - Common scenery

The Elysian Lowlands are a backdrop. The description is "Several 
thousand metres below you are the Elysian lowlands, completely invisible 
behind an ocean of cloud. At least you now know roughly where you are: 
somewhere on the edge of the Alpha Continent Massif, which has a 
circumference of not much more than two thousand kilometres." Understand 
"lowlands", "clouds", "ocean", "cloud" and "void" as the Elysian Lowlands. It is in the 
Bluff, the Shuttle, the Shuttle Cockpit, and Bottom of the Canyon.

The trees are a backdrop. The description is "The trees are peculiar, 
very similar to Earth trees and yet somehow different. The geometry is 
still based on a branching fractal structure but you suspect the rules 
are different. The leaves are very familiar, though, and unless you make 
a point of noticing the differences they're just trees." Understand 
"forest", "wood", "woods", "leaves", "leaf", "twig", "twigs" as 
the trees.

Instead of climbing the trees when the player is a lemur:
	say "[one of]You swarm up one of the trees... and then discover, about four metres up, that it's a [italic type]long[roman type] way down and apparently you didn't inherit the lemur's ability to cope with heights along with its body. You back down slowly and carefully and decide to keep your feet on the ground in the future.[or]Embarrassing as it may seem, you still can't cope with heights well enough for that.[stopping]"
	
Instead of climbing the trees:
	say "That's pretty much not an option while you're a [printed name of the player]."
	
The canyon wall is a backdrop. The description is "The canyon wall is 
old sandstone, striped in yellow and orange and ocher. Little landslides 
streak across it everywhere as it crumbles." Understand "cliff", "rock" 
as the canyon wall.

The sky is a backdrop. The description is "The sky is a dark, almost 
liquid blue, and Elysia's exotic sunlight pours down out of it. In the 
other direction, the gas giant Persephone looms distantly. The [Concerto][']s up there somewhere."

The Concerto is a backdrop. The description is "[one of]You scan the visible sky, trying to spot the [Concerto], but don't see it. It's big enough to be easily visible even in daylight, so must be around the other side of the planet.[or]You scan the sky again. There's still no sign of the [Concerto].[stopping]"

The sunlight is a backdrop. The description is "Elysia's sun is older 
than Earth's, cooler and more orange. After a few minutes on Elysia the 
eye adapts and the difference is almost imperceptible; and yet, the 
light on Elysia always has a warm, summer evening feel to it." 
Understand "sun", "light" as the sunlight.

Persephone is a backdrop. The description is "Elysia is technically a moon, not a planet, as it orbits the gas giant Persephone. From here the gas giant is a vast crescent of greyish green, faintly visible behind the sky. It's not as impressive as the survey photos led you to believe, due to the angle of the sun at this time of year."

When play begins:
	move the trees backdrop to all forested rooms;
	move the sky backdrop to all outdoors rooms;
	move the Concerto backdrop to all outdoors rooms;
	move the sunlight backdrop to all outdoors rooms;
	move the Persephone backdrop to all outdoors rooms.

Instead of examining up in an outdoors room:
	try examining the sky.

The canyon wall is in the the Sandy Mound, the Boulder, the Open 
Woodland, the Scree, the Precarious Ledge, the Lake, the Overgrown 
Forest, the Spring and the Lower Slopes.




Chapter - Precarious Ledge

The Precarious Ledge is a room. It is rivered.

The description is "You are balanced on a rock overhanging the north edge of the rock pool. The boulder is slippery from spray, and shifts under your feet when you move your weight giving you the feeling like it might give way at any moment. The narrow ledge to the south leads back to safety."

One rock pool is here. "The rock pool churns unnervingly below you." The description is "It looks a long way down from here[if the player is an otter]...[otherwise] and [printed plural name of the player] can't swim." Understand "water", "swirl", "swirling", "churn" as the rock pool when in the Precarious Ledge.

The Precarious Ledge can be collapsed. The Precarious Ledge is not collapsed.

Instead of jumping in the Precarious Ledge:
	try going down instead.

Before going to the Precarious Ledge:
	say "You nervously crawl along the ledge.";
	continue the action.

Before going to the Cascades from the Precarious Ledge:
	say "With some relief, you crawl back along the ledge.";
	continue the action.



Chapter - Scree

The Scree is a room. It is forested.

The description is "You are perched at the very north-west tip of the 
canyon, where the slopes disintegrate into a tangle of smashed rock. 
Wiry, heather-like grass grows between the gaps between the boulders, 
and there are even a few trees. Below to the east is a maelstrom of 
white water at the head of the river; to the south, the slope begins to 
flatten."

One stones are here. They are scenery. The description is "The sandstone 
boulders are all weathered and friable."

One river is here. "The river is emerging from a point half-way up the 
northern cliff-face: upstream it obviously flows underground."

Some birds are here. They are fixed in place. "Tiny multicoloured birds dart back and forth on the cliff face above you." The description is "You don't recall anything in the survey report about these." Understand "bird" as the birds.

One grass is here. The description is "The tough, springy heather holds the stones in an immovable grip." Understand "heather", "wiry" as the grass when in the Scree.

Instead of doing something other than examining the birds:
	say "They're far too far above you."

Instead of going down in the Scree:
	try going east.



Chapter - Straggly Forest

The Straggly Forest is a room. It is forested.

The description is "The trees here are stunted and wiry, and the steeply 
sloping ground is showing its rocky bones through the thin grass. The 
canyon is spread out below you: the lake to your east, the woodland 
covering the lower slopes, and the green dome of the Mother Tree far to 
the south, now shrunken by distance. The canyon ends not far to the 
north in a tumble of fallen rock."

One grass is here. The description is "The little green patches of grass look like a net stretched over the underlying brown stone."



Chapter - The Deep Plunge

The Deep Plunge is a room. It is wet. The printed name is "In The Rock Pool".

The description of the Deep Plunge is "From down here the sides of the pool are steeper and even less climbable than they were from above --- this is less of a pool and more of a well, and you are at the bottom of it. One of the many waterfalls crashes into the dark water near where you are and vortices in the water buffet you."

The dark water is in the Deep Plunge. It is a prop. The description is "The dark water makes the bottom invisible, but you know it's a long way down." Understand "pool", "waterfall", "waterfalls", "vortices" as the dark water.

Before of going to the Deep Plunge:
	if the player is an otter:
		say "You smoothly dive into the pool.";
	else:
		say "With a sense of fatalism, you jump into the pool...";
	continue the action.

Instead of going down in the Deep Plunge:
	if the player is an otter:
		say "You swim down into the depths of the pool. A current 
		grabs you and whisks you through a concealed underwater 
		tunnel before spitting you out again.";
		continue the action;
	else:
		say "The last thing you want to do is swim down --- you're doing all you can to stay afloat!"

Instead of swimming in the Deep Plunge:
	if the player is an otter:
		say "You're already swimming.";
	else:
		say "You're doing the best you can already!";
	stop.

To fail to climb out of the Deep Plunge:
	say "The sides of the pool and sheer. There's no way out that way."

Instead of jumping in the Deep Plunge:
	say "You can't do that while you're swimming."
	
Instead of going nowhere in the Deep Plunge:
	fail to climb out of the Deep Plunge.

Instead of going up in the Deep Plunge:
	fail to climb out of the Deep Plunge.
	
Instead of climbing in the Deep Plunge:
	fail to climb out of the Deep Plunge.
	
Instead of climbing the NPCFox in the Deep Plunge when the player is a rabbit:
	say "You frantically try to climb on top of the fox to keep your head above water. It, equally panicked, tries to climb up on you. The results are predictable.";
	end the story saying "You have died".
	
Instead of climbing the NPCFox in the Deep Plunge when the player is an otter:
	say "It would be safest to keep your distance. It won't last long."
	 
Definition: an animal is non-otter if it is not an otter.

Last every turn when an animal is in the Deep Plunge:
	repeat with A running through non-otter animals in the Deep Plunge:
		increment the swim time of A;
		follow the treading water rulebook for A;
		if the swim time of A is 4:
			follow the drowning rulebook for A.




Chapter - Cascades

The Cascades is a room. It is forested and rivered.

The description is "The river pours out of an aperture in the northern 
wall of the canyon and tumbles down through a snarl of fallen rock 
before flowing into the lake, to the south. The noise of rushing water 
is everywhere. The eastern shore is a sheer rockface, but the western 
shore is a rocky slope that rises to meet the canyon wall in the 
distance. Some trees hug the edge of the water."

One stones are here. The printed name is "boulders". "Water pours 
around, through, and over the massive pile of boulders. There are nooks 
and crannies and vortices everywhere." Understand "water", "river", "rockface", "fallen" as the stones when in the Cascades. The description is "The river is obviously cutting its way upstream through the cliff face, and the boulders are what's left as the rock collapses. It all looks horribly unstable."

One rock pool is here. "The water swirling in one large rock pool in 
particular catches your eye." The description is "Water's pouring 
into it, but there doesn't seem to be any exit. [if the Precarious Ledge is not collapsed]There's a narrow ledge leading round it to the north, but if you fell in, the sides are far too steep to climb out of[otherwise]There's a raw-looking scar on the north side where the ledge used to be, making the sides even steeper and more impassable[end if][if the player is an otter]...[otherwise] and you're pretty sure that [printed plural name of the player] can't swim." Understand "water", "swirl", "swirling" as the rock pool when in the Cascades.

The aperture is here. It is a prop. The description is "Given the desert surrounding the canyon, you're not surprised the river is fed by an underground river." Understand "hole", "waterfall" as the aperture.

Instead of jumping in the Cascades:
	try going down instead.

Instead of going up in the Cascades:
	try going west.
	
Before going north in the Cascades when the Precarious Ledge is collapsed:
	say "There's no ledge there any more. If you really wanted to you could jump in, of course." instead.

Carry out listening to in the Cascades:
	say "The air is full of the thunder of falling water.";
	stop.
	
Chapter - The Lake

The Lake is a room. It is wet and rivered.

The description is "The water is crystal clear, and rays of orange light shine down from above. The bottom is covered in grass-like weed, dotted with fallen boulders of all sizes from the cliff face above."

Some crayfish are here. "Crayfish run around on the lake bottom, snapping their pincers threateningly at each other." The description is "They look quite like Earth crayfish, having a long abdomen with pairs of legs and two large, strong-looking pincers at the front, but other than that the resemblance is distant --- apart from anything else, they seem to have no heads, which gives them a disturbingly amputated appearance."

Instead of doing something other than examining the crayfish:
	say "You swim down, but whenever you get close to one, it hides under a rock, and all you can see are beady eyes staring balefully at you."

One grass is here. The description is "Looking closely, you think it's the same species as the grass on the surface, but much larger." Understand "weed" as the grass when in the Lake.

Some boulders are here. They are useless-props. The description is "They each have a waving mane of weed."

Instead of exiting in the Lake:
	try going west.
	 
Instead of going north in the Lake:
	say "You try to swim upstream, but near the head of the lake the current is too much for you."



Chapter - Beach

The Beach is a room. It is forested and rivered.

The description is "The lake nestles under the cliffs at the edge of the canyon, so that the east side is a sheer wall rising out of the water; but here on the west side the ground slopes gradually so there is a wide shore of pebbles and rough sand. [if not wrecked]Mats of grassy plants form little green islands here and there, some under the water.[otherwise]Mats of grassy plants form little green patches here and there on the beach.[end if] Beyond the beach, unkempt woodland rises up the west side of the canyon, while far to the north, at the head of the canyon, there is a distant skein of falling water as the river tumbles down the cliff into the lake."

The lake water is here. It is a prop. The description is "The lake water is 
quite clear, and almost glows with the reflected light from the 
sandstone cliff above it. It looks deep."

The distant waterfall is here. It is a distant-prop. The description is "Looking 
closely, you think the river is emerging from a hole in the cliff face 
rather than flowing on the surface. That makes sense, given what you 
know of the geography." Understand "cascade", "falling", "river" as the 
distant waterfall.

One grass is here. The description is "The leaves are tiny and fine, producing velvety, elastic turf that feels satisfying underfoot." Understand "plants", "mats", "islands", "green" as the grass when in the Beach.

Some fish bones are here. "Scattered along the waterfront are some splintered fish bones." The description is "They're old and bleached the sun, and look well-gnawed. There's quite a lot of them."

Instead of taking the fish bones:
	say "You're not quite desperate enough to use your mouth to pick up things that have been chewed and spat out by something else."

Instead of going east in the Beach:
	if the player is an otter:
		say "You slide smoothly into the lake. The water feels cool and supremely comfortable against your fur.";
		continue the action;
	else:
		fail to swim.

Instead of swimming in the Beach:
	try going east instead.

Instead of going inside in the Beach:
	try going east instead.

Instead of going down in the Beach:
	try going east instead.

After deciding the scope of the player in the Beach when the NPCOtter is in the Lake:
	place the NPCOtter in scope.

Rule for reaching inside the Lake:
	say "The otter's over the other side of the lake.";
	deny access.

Carry out listening to in the Lake:
	say "The water laps quietly against the shore.";
	stop.



Chapter - Overgrown Forest

The Overgrown Forest is a room. It is forested.

The description is "The woodland here is quite unlike the west side of 
the canyon. The trees are short and gnarled and look quite unhealthy: 
they are also very close together and visibilty through the tangled 
branches is poor. Despite the gloom, the undergrowth is thick, with 
ferns, tall grasses, and less identifiable plants filling the space 
between the tree trunks. The forest sweeps east up to the rock face 
above and south as far as you can see through the trees."

One aromatic bush is here.

Some other plants are here. They are props. The description is "The 
ferns look just like the Earth equivalent. The other plants don't." 
Understand "undergrowth", "ferns", "grass", "grasses", "plants" as the 
other plants.




Chapter - Spring

The Spring is a room. It is forested.

The description is "The ground here is steep and rocky, but still 
covered with scrawny trees. The canyon wall rises precipitously to the 
east; there's a band of wet rock, and water oozes out and forms in a 
little pool before trickling down the slope to the river which you can 
just make out to the west. All you can see to the north and south are 
more trees."

One aromatic bush is here.

The mineral pool is here. It is a prop. "The water is reddish and probably full of minerals." Understand "water", "trickle", "spring" as the mineral pool.

Instead of drinking the mineral pool:
	say "The water tastes just the way it looks."

Instead of swimming in the Spring when the player is an otter:
	say "You dive into the pool and splash around a bit, but it's only just deep enough to submerge you."

Instead of swimming in the Spring:
	say "You gingerly paddle into the pool, but all it does is make your fur soggy."



Chapter - Wrecked Shuttle

The Wrecked Shuttle is a room.

The description is "The desert abruptly drops away on two sides here: to the west you can see the green dome of the Mother Tree a few hundred metres below, and to the south the incomparably vaster drop down to the sea of clouds below. The cliff continues east as far as the eye can see.[one of]

Of considerably more interest, however, is the wreckage of the [Semiquaver].[or] The wreck of the [Semiquaver] is poised at the edge.[stopping]"

The Semiquaver is here. It is a prop. Understand "shuttle", "ship", "wreckage", "wrecked" as the Semiquaver.

The description is "Looking at the smashed shuttle, you find yourself utterly astonished that it made it down in one piece. Most of the engine module is simply missing, the hull truncated half-way along in a jumble of twisted wreckage. The shuttle hit the ground to the north of here, and skidded south, stopping just in time --- you can see the burnt out shield projectors where the [Semiquaver] tried to dig into the sand in a desperate attempt to stop itself. It worked, too: only a few metres more and the [Semiquaver] would have gone over the edge of the cliff and fallen down to the lowlands. The nose actually overhangs the edge.

It looks completely dead. You hope the [Semiquaver's] simple mind survived. You want to buy it a drink and tell it what a good job it did."

The engine module is here. It is a prop. "You remember a flash not long after leaving the [Concerto]; the [Semiquaver] said 'Oh, no,' and then something stabbed you in the back. Everything after that was a vivid but incoherent memory of pain, noise, blood spattering everywhere, and the sight of Elysia wheeling through the cockpit canopy while the [Semiquaver] quietly gibbered. You don't like to think about it --- it makes your fur stand on end." Understand "hull", "metal", "twisted",  "debris" as the engine module.

The shield projectors are here. They are props. "Without power the [Semiquaver] was using its shield projectors to cast force screen aerofoils about itself to actually [italic type]glide[roman type] down to the ground --- an old trick, and one that sometimes works.[if we have pressed the switch] They are still smoking."

The main hatch is inside from the Wrecked Shuttle. It is a door. It is closed. "[if the main hatch is open]The shuttle's main hatch stands open.[otherwise]The shuttle's main hatch is tightly closed." The description is "The [Semiquaver's] main hatch is on the starboard side, now facing west. [if the main hatch is closed]It's not locked, per se, but in order to prevent accidents it will only open if you enter an access code on a little panel. (The code is written underneath.)[otherwise]It stands open." Understand "hatch" as the main hatch.

The access panel is here. It is a prop. "A little nine-digit keypad is next to the door. The access code is written underneath. (It's 314159, of course.)" Understand "access", "code", "codes", "keypad" as the access panel.

Using is an action applying to one thing. Understand "use [something]" as using.
Typing is an action applying to one topic. Understand "type [text]" as typing. Understand "enter [text]" as typing.
 
Instead of using:
	fail.

Instead of using the stick in the Wrecked Shuttle:
	say "Frustratingly, you can't quite reach the access panel with the end of the stick --- it's not quite long enough."
	
Instead of using the access panel when the player is on the broken branch:
	try opening the main hatch instead.
	
Instead of using the access panel when the player is a lemur:
	say "After all that effort you finally have a set of fingers... and the access panel is too high to reach. You feel like bursting into tears."
	
Instead of using the access panel:
	say "The buttons are designed to be pushed by fingers, which [the printed plural name of the player] lack. Plus, it's too high to reach."
	
Instead of typing:
	fail.
	
Instead of typing in the Wrecked Shuttle:
	try using the access panel instead.
	
One sand is here. The description is "[if we have pressed the reset switch]The sand has been brushed away from the shuttle on both sides, leaving two huge wing-like fans. Radial grooves show where debris has been hurled away to the east and west.[otherwise]The sand is piled up on either side from where the shuttled ploughed through it. There would have been a bigger bow wave at the front, of course, but that went over the edge of the cliff to the south and is somewhere down on the Elysian lowlands now.[end if][first time]

You find yourself wondering why the [Semiquaver] is still here. Even in this state it's still a valuable asset. Surely the [Concerto] would send someone down to retrieve you both? But it looks like it's been here for a while, and there are no signs of any human or machine activity in the sand...[only]"

Understand "grooves", "radial", "fans" as the sand when we have pressed the reset switch.

Instead of opening the Semiquaver:
	try opening the main hatch instead.
	
Check opening the main hatch when the player is on the broken branch and the player does not have the stick:
	say "You're high enough to reach the access panel now, but it's just too far away to reach, even with the tripod branch as close to the shuttle as you can get it.";
	stop.

Report opening the main hatch:
	say "Balancing yourself on the top of the branch with one paw, you grasp the stick in the other. You reach out and slowly but carefully poke at the access panel with the stick. It takes you a couple of tries but you do successfully enter the code. Hurray for opposable thumbs!
	
The hatch thinks for a bit, and then slowly winds itself open. The shuttle is obviously running on emergency power. Inside, all you can see is gloom.";
	stop.
	
Check opening the main hatch when the player is not on the broken branch:
	say "The access panel for the hatch is about a metre and a half above the ground. It obviously wasn't designed for [printed plural name of the player][first time].[paragraph break]When you get back to the [Concerto] you are going to have to remedy this design fault[only]." instead.

Instead of closing the main hatch:
	say "After all the trouble you went to to open it, you're certainly not going to close it now."
	
The western cliff is here. It is a prop. The description is "You sidle close to the edge and try to peer over. The drop sucks at you and you can feel your paws sweating. You get a climpse of the green dome of the Mother Tree far below before backing away with great relief." Understand "mother", "tree", "dome" as the western cliff.

The southern cliff is here. It is a prop. The description is "The edge of the cliff under the nose of the shuttle is fractured and crumbly, and you're not willing to go close enough to look down. You know what you'll see, though: several thousand metres of empty air and then the opaque cloud that covers the lowlands. The only way to get down there is at terminal velocity." Understand "nose", "edge" as the southern cliff.

Instead of examining south in the Wrecked Shuttle:
	try examining the southern cliff.
	
Instead of examining west in the Wrecked Shuttle:
	try examining the western cliff.
	
Instead of jumping in the Wrecked Shuttle:
	if the Shuttle Cockpit was visited:
		say "The last time you jumped off here, you died. You really don't think you can count on surviving that for a second time.";
	else:
		say "That would be suicide."

Instead of going east in the Wrecked Shuttle:
	say "The edge of the plateau goes on as far as you can see, and there is absolutely nothing of interest you can see out there.";
	stop.
	
Instead of going west in the Wrecked Shuttle:
	try jumping instead.

List of Shoved Items is a list of things that varies.

Every turn when List of Shoved items is not empty and the player is in Wrecked Shuttle and the player was not in Wrecked Shuttle:
	let S be whether or not the number of entries in List of Shoved Items is 1;
	say "You notice that [List of Shoved Items with definite articles], which you left here, [if S is true]seems[otherwise]seem[end if] to have gone. The sand where [if S is true]it was[otherwise]they were[end if] looks raked clean.";
	truncate List of Shoved Items to 0 entries.

Instead of going east in the Wrecked Shuttle when the main hatch is open:
	try entering the main hatch instead.

Before entering the Wrecked Shuttle:
	try entering the main hatch instead.
	
Chapter - Shuttle Hold

The Shuttle Hold is a room. It is indoors. "The first thing you notice about the [Semiquaver's] cargo hold is that the rear bulkhead is torn open, with sunlight streaming in. Air-tight it's not. The deck is littered with shattered fragments of aerospace ceramic, and there's quite a lot of it embedded in the passenger couches. Luckily, despite the jagged hole in the cockpit door to the south, the status lights on the forward bulkhead show that most of the [Semiquaver's] control systems are undamaged."

The main hatch is outside from the Shuttle Hold.

The passenger couches are here. They are props. The description is "It looks like the [Semiquaver] had been configured for passenger transport; you never even noticed they were here when you escaped from the [Concerto]..." Understand "couch" as the passenger couches.

Fragments of aerospace ceramic are here. They are useless-props. The description is "They're quite sharp, and you have to walk carefully to avoid cutting your paws."

The rear bulkhead is here. It is a prop. The description is "You rear up on your hind legs to peer through the hole. Through the guts of the [Semiquaver's] engines you can see the desert. For something to have done this much damage, it must have hit the shuttle incredibly hard. Your respect for the [Semiquaver's] flying skills redoubles." Understand "hole" as the rear bulkhead.

The forward bulkhead is here. It is a prop. The description is "A cursory glance over the status displays shows the shuttle is as wrecked internally as it is externally. Most of the systems the boards claim to control simply aren't there any more. But it looks like the hyperwave is fine, and the power control system is still running. The AI core also looks undamaged, but seems to have been turned off." Understand "fore", "status", "lights", "equipment" as the forward bulkhead.

The AI core is here. It is a prop. The description is "Yes, the AI core is empty. You study the logs and are oddly pleased to see that the [Semiquaver's] mind got uplinked to safety shortly before shutdown. Wiping the core is standard procedure after an uplink to avoid a potentially embarrassing forking situation, but it still strikes you as odd: given that as a human you'd have to be picked up physically, why not recover the shuttle physically too? Why was the [Semiquaver] recovered remotely?"

The power control system is here. It is a prop. The description is "Well, that's interesting. The shuttle's main power is on after all. It looks like the [Semiquaver] diverted every joule of energy it could scrape together into the shield projectors, and was using them to dig force fields into the sand to act as emergency brakes. Given how close the [Semiquaver] came to going over the edge of the cliff, it was a good thing it did! But that kind of massive overload would have tripped all the safeties, and the [Semiquaver] must have had its virtual thumb on the override the whole time. Right now the power system has tripped and there's no power going to the projectors, but there's a manual reset switch." Understand "pcs" as the power control system.

The reset switch is part of the power control system. It is fixed in place and pressable. The description is "Pressing the switch will attempt to reset the power control system's safety cutout, and restore power to the shield projectors. You have no idea what shape they're in but after the stress of the landing they're probably not working very well."

Instead of pressing the reset switch:
	say "[one of]You gingerly press the reset switch on the power control system. There's an enormous [italic type]bang[roman type] from somewhere in the wrecked engine compartment and the whole shuttle lurches. At the same time a cloud of dust gusts in through the open hatchway. Heart in your mouth, you leap back, but the shuttle shows no more signs of moving. It looks like the safety tripped again almost immediately. [or]You press the override switch again. There's another [italic type]bang[roman type] from the engine compartment and a cloud of dust from outside, but this time the shuttle doesn't move much. It seems to be firmly bedded in place now. [stopping]";
	let B be false;
	repeat with T running through portable objects in Wrecked Shuttle:
		now T is in the Forest Cathedral;
		add T to List of Shoved Items;
		now T is fallen;
		now T is not handled;
		now B is true;
	if B is true:
		say "[paragraph break]A few seconds later you hear a distant crashing of breaking branches.";
	else:
		say "[paragraph break]";
	rule succeeds.

The hyperwave is here. It is fixed in place. "[if we have pressed the button]The hyperwave on the forward bulkhead hasn't received any messages.[otherwise]The main thing you're interested in here is the hyperwave on the forward bulkhead." The description is "[if we have pressed the button]The incoming message buffer is empty... it [italic type]looks[roman type] in perfect working order, and the self-test indicator indicates that it thinks it's in perfect working order too. There just seems to be nobody there.[otherwise]It's just a radio, of course, but a very good one. It uses every trick discovered in the past thousand years to squeeze information into almost every part of the electromagnetic spectrum, and it is almost immune to interference. Even now, on emergency power and with half of the hull-antenna destroyed, it could easily be heard the other side of the solar system. If you had the patience, you could use the hyperwave to talk to other star systems. Sending an SOS to the [Concerto] in low orbit is almost an insult to the hyperwave's sophistication, but you don't care. All you have to do is press the button."

The button is part of the hyperwave. It is fixed in place and pressable. The description is "It's an old-fashioned mechanical button, with a safety guard. Voice activation and semisentient machines are all very well, but in an emergency people want something that goes [italic type]click[roman type]. Which, given that right now you don't have a voice, suits you fine." 

First instead of pressing the button for the first time:
	say "With a huge sense of relief, you flip open the safety guard and press the button. It lights up reassuringly, to let you know that the hyperwave is doing something. The [Concerto] will hear it, and query the shuttle; you won't be able to talk back, of course, but there's a video link, and you'll be able to make it plain that [italic type]something[roman type] strange is going on. Someone is bound to come down to investigate. Establishing yourself as being sentient should be easy, and then---
	
Wait a moment. The [Concerto] should have replied by now.

You examine the logs. The hyperwave says that the message was correctly sent, and it got an acknowledgement from the comsat network, but it didn't get one from the [Concerto].

The starship could be on the other side of the planet, but the comsats should have relayed it. That's what they're for. What's going on?";
	rule succeeds.

First instead of pressing the button for the second time:
	say "You press the button again, and watch the status display. Message transmitted... picked up by comsat network... wait... wait... nothing.
	
Even if by some satanic miracle the [Concerto] isn't receiving, surely one of the laboratory ships should be responding? Even a shuttle will acknowledge a distress signal..."

First instead of pressing the button for the third time:
	say "With a increasing sense of foreboding, you try again. Exactly the same as before.
	
You remember the [Concerto][']s hangar bay, when you fled from the riots. It was full, wasn't it? All of the lesser ships had been recalled. Perhaps... no, it can't be. You refuse to think that.

At least the comsat network will have logged the distress signal, so that when things return to normal they'll know you were here."

First instead of pressing the button for more than the third time:
	say "Mechanically, you press the button on the hyperwave again. You don't expect anything different to happen, and it doesn't."
	
The cockpit door is a door and scenery. It is south from the Shuttle Hold. The description is "There is a jagged hole neatly punched in the centre of it. You find yourself casting an eye back to the rear bulkhead, and the matching hole there." Understand "hole" as the cockpit door. 

Report opening the cockpit door:
	say "Luckily it's an unpowered door with a simple mechanical pressure interlock, and swings rather than slides. It's easy to open with your paws." instead.

Instead of going south in the Shuttle Hold when the cockpit door is closed:
	say "The cockpit door is closed."
	
Instead of closing the cockpit door:
	say "There's no point."

Instead of going west in the Shuttle Hold:
	try exiting instead.
	
Chapter - Shuttle Cockpit

The Shuttle Cockpit is a room. It is indoors. It is south of the cockpit door. "[The Semiquaver] was never intended to be flown by hand, and the cockpit is really just a pressurised compartment where a couple of people can sit, see out, and talk to the shuttle. There are a handful of status displays, two acceleration couches, and of course the cockpit window. Right now all that's visible is the cloud ocean of the Elysian lowlands, far below.

There is a huge puddle of old, dried blood on the floor."

The cockpit window is here. It is a prop. The description is "There's some blood spattered on the inside."

The acceleration couches are here. They are props. The description is "One of them is empty and pristine. [if the metal shard is part of your body]Your body is pinned to the other by a shard of metal.[otherwise]The other is also empty, but horribly stained." Understand "couch" as the acceleration couches.

Your body is here. It is a corpse. "[one of][cutscene 4][or][if the metal shard is part of your body]Your body, wizened and dried, hangs from one of the acceleration couches, pinned to it by a long shard of jagged metal.[otherwise]Your body is sprawled awkwardly at the foot of one of the acceleration couches.[end if][stopping]"

A metal shard is part of your body. It is light. The description is "[if the metal shard is part of your body]The shard goes right through the back of the acceleration couch and projects out of your chest. It is stained with dried blood.[otherwise]You've no idea what it used to be. Part of the [Semiquaver's] engines, maybe? But you didn't think the shuttle used metal; it was built during the long crossing, after the invention of aerospace ceramic."

Before taking the metal shard when the metal shard is part of your body:
	ignore the can't take component parts rule.

First report taking the metal shard for the first time:
	say "You gingerly take the end of the shard in your mouth, and, trying to ignore the metallic taste of human blood, pull. It's well wedged but you manage to work it out. As you do so your body, released, suddenly slithers out of the acceleration chair and onto the floor." instead.
	
The description of your body is "You don't want to look at it."

Instead of taking your body when the metal shard is part of your body:
	say "It's skewered to one of the acceleration couches by a shard of metal."
	
Instead of examining your body in the Shuttle Cockpit for the first time:
	say "It is gaping-mouthed and slack-jawed and very, very dead. You don't want to look and yet you can't help yourself. It stares up at the sky in helpless anguish; the skin is very pale except where it's covered by old blood, which is nearly everywhere; the chest is a horrible mess; the hands are frozen claws of agony... you find yourself whining and scrabbling at a corner of the cockpit trying to get away, and abruptly break and run.";
	if the player is carrying something:
		try silently dropping a random object carried by the player;
	now the player is in the Wrecked Shuttle;
	say "You stare at the desert and try to breathe deeply, but all you can smell is old blood. But still, you feel better."  

Some blood is here. It is a useless-prop. The description is "The blood is old and dried, but there's simply so [italic type]much[roman type] of it. You must have bled dry. The smell isn't strong, but it's somehow incredibly intense; and it sticks to you." Understand "pool", "puddle", "stain" as the blood.

Before doing something other than examining the blood:
	say "Even the thought of all that blood repulses you.";
	stop.

Some status displays are here. They are props. The description is "They are all blank. These ones must have been controlled directly by the [Semiquaver] rather than being autonomous like the ones in the back."

Instead of smelling when the Shuttle Cockpit has been visited:
	say "All you can smell is old blood." 

First report taking your body:
	say "You take a deep breath, close your eyes, and take hold of your body by one boot. It tastes reassuringly of plastic." instead.

To fail to carry your body:
	say "[if in the Wrecked Shuttle]Your body is four times the size you are, and the pass down to the canyon must be most of a kilometre away. You're simply not going to be able to drag your corpse that far. Not only is it incredibly heavy and awkward, but it's also making you feel sick.[otherwise]Your body is four times the size you are, and exceedingly battered. You're not moving it any more than you have to."
	
Instead of going to Desert East when the player is carrying your body:
	fail to carry your body.

Instead of going to the Marsh when the player is carrying your body:
	fail to carry your body.

Instead of going to Bottom of the Canyon when the player is carrying your body:
	fail to carry your body.

Chapter - Desert East

The Desert East is a room with printed name "Eastern Desert".

The description is "The pass in the canyon wall, now behind you to the west, leads out into open desert. Barren sand stretches off in all directions to the flat horizon.

A track seems to have been scraped in the sand, heading south. There's
something large and metallic in the distance that way."

One sand is here. The description is "Utterly barren. No dunes, no 
desert plants, just rocky, hard-packed sand as far as the eye can see." 
Understand "desert", "rock", "horizon" as the sand when in Desert East.

One canyon is here. The description is "There's a low ridge this side of 
the canyon that blocks all view down into it. The only access is through 
the notch in the wall to the south." Understand "notch", "wall" as the 
canyon when in Desert East.

The track is here. It is a prop. "Something's ploughed through the sand 
at high speed. It looks suspiciously machine-made."

Instead of going down in Desert East:
	try going west instead.
	
Instead of going nowhere in Desert East:
	say "There's nowhere to go out there."



Chapter - Lower Slopes

The Lower Slopes is a room. It is forested.

The description is "Nestled in the south-east corner of the canyon, the terrain here sweeps up from the river to a low pass through the canyon wall to the east. Through the dense trees you can just make out the green dome of the Mother Tree far below to the south-west."

One aromatic bush is here.

One Mother Tree is here. The description is "From here you can see the way the Mother Tree completely blocks the throat of the canyon." Understand "green", "dome" as the Mother Tree when in the Lower Slopes.

Instead of going southwest in the Lower Slopes:
	say "It's too much of a drop." instead.

Instead of going down in the Lower Slopes:
	try going southwest instead.
	
Instead of going up in the Lower Slopes:
	try going east instead.


Chapter - Beaver Dam

The Beaver Dam is a room. It is forested and rivered.

The description is "[if not wrecked]A haphazard but substantial dam has been built 
across the river out of logs and fallen trees. Water pours through the 
many little gaps to form a delta of pools and runnels, before joining 
back together into the main flow of the river, which disappears into the 
woods to the south. Upstream of the dam to the north there is a substantial 
lake, but everywhere else, all you can see are trees.[otherwise]Where the beaver's dam used to be there's just a wasteland of mud, rocks, and splintered wood. The maze of pools and rivulets has gone completely, leaving a scoured clean gully in the river bed. The level in the lake has dropped at least a couple of metres. The trees to the east and west are spattered with mud, and the damage continues downriver to the south.[end if] The river looks crossable, to reach the east side of the canyon."

One living fish is here. The printed name is "flapping fish". They are 
fixed in place. "Some fish flap about in the pools." The description is 
"They're brown and trout-like, but on closer inspection the fins are all 
wrong and the tail is bifurcated. You think that Elysia could have some 
very plausible mermaid myths." Understand "flapping" as the living fish.

When Being the Lemur begins: remove a random living fish in Beaver Dam from play.

Some pools are here. They are props. The description is "[if not wrecked]The pools look 
recently drained, and are full of confused fish. You think that the 
beavers had a dam a bit further downstream not long ago. If so, they've 
worked quickly; there's no sign of it now.[otherwise][no such thing]"

The lower dam is here. It is a prop. The description is "[if not wrecked]The dam is a big embankment of logs. Unlike dams built by Earth beavers, they haven't sealed it with mud, and the water is pouring through in numerous places. This doesn't seem to affect the water level in the lake, though.[otherwise][no such thing]". Understand "dam", "logs", "branch", "branches" as the lower dam.

Before doing something other than examining the lower dam:
	say "You don't want to fiddle with it in case it collapses. It doesn't look that well made.";
	stop.

One mud is here. The description is "[if wrecked]The mud must have come from the lake bed. It's thick and it stinks.[otherwise][no such thing]"

One river is here. The description is "[if not wrecked]It's really just a collection of little streams. You can cross easily.[otherwise]It looks quite deep, and is flowing strongly enough to make you wary, but there are enough stray boulders to form stepping stones."
 
The NPCBeavers are here.

Carry out listening to in the Beaver Dam:
	if the NPCBeavers are alive:
		say "The beavers are chittering and barking to each other as they work.";
	else:
		say "The place is deathly quiet underneath the sound of the water.";
	stop.


Chapter - Rapids

The Rapids is a room. It is forested and rivered.

The description is "[if not wrecked]The river is narrow and rocky here, and the river 
churns noisily between the boulders. Trees come down to the water's edge 
on both sides, and twigs and dead leaves spiral dizzyingly in the 
vortices. The woods are fairly dense here and seem to go on in all 
directions.[otherwise]The boulders have all been blasted away, leaving nothing but a deep, narrow channel filled with fast-moving, murky brown water. Many of the overhanging trees on the banks have broken branches and some are missing completely."

One river is here. The description is "[if not wrecked]The water is turbulent, and is 
pummelling the sandstone rocks mercilessly. In a few years this will
just be sand.[otherwise]The new channel is narrow and the water rushes by quickly and surprisingly quietly." Understand "bank", "banks", "rapids", "vortices", "vortex" as the river when in the Rapids.

The rapids rocks are here. They are props. The description is "[if not wrecked]They look 
loose, and you wouldn't trust your footing on them.[otherwise][no such thing]". Understand "sandstone", "rock", "boulder" as the rapids rocks.

Carry out listening to in the Rapids:
	say "[if not wrecked]All you can hear is water noise.[otherwise]The new river is surprisingly quiet.";
	stop.




Chapter - Boulder

The Boulder is a room. It is forested.

The description is "A massive slab of rock has fallen into the woods from the canyon walls to the west. It is halfway sunk into the turf and looks almost sculpted. The canyon wall looms over you from the west. The woodlands parallel it, running north-south, although the canyon steepens to the north. Water glints between the trees to the east."

The giant rock is here. It is enterable and a supporter. "The huge 
boulder towers over the surrounding trees." Understand "boulder" as the 
giant rock. The description is "A long spear of stone, projecting from 
the ground at an angle. Little wiry plants are rooted in the cracks."

Instead of going down while the player is on the giant rock, try exiting.

Instead of climbing the giant rock, try entering the giant rock.

Does the player mean climbing the giant rock when climbing in the Boulder:
	it is very likely.
	
The item just dropped is an object that varies. The item just dropped is nothing.

Check entering the giant rock:
	if the player is carrying something:
		now the item just dropped is a random thing carried by the player;
		now the item just dropped is in the Boulder;
	else:
		now the item just dropped is nothing;
	if the player is not the rabbit:
		say "[if the item just dropped is not nothing]Dropping [the item just dropped], you [otherwise]You [end if]jump and scrabble, but are unable to get a purchase on the boulder." instead.

Check getting off the giant rock when NPCFox is in the Boulder:
	say "You should probably wait until the fox has gone first.";
	stop.

Report entering the giant rock:
	say "[if the item just dropped is not nothing]Dropping [the item just dropped], you [otherwise]You [end if]jump and scrabble wildly with your powerful hind legs, eventually managing to haul yourself to the top." instead.

Report getting off the giant rock:
	say "You jump down from the boulder.";
	stop.
	
Instead of jumping when the player is on the giant rock:
	try going down instead.



Chapter - Open Woodland

The Open Woodland is a room. It is forested.

The description is "The ground rises to meet the canyon wall to the west 
here, and small trees are scattered across the slope. There is very 
little undergrowth, lending the woods an airy, garden-like feel. The 
trees get denser to the north and east, but space opens out to the 
south."



Chapter - Meadow

The Meadow is a room. It is rivered.

The description is "[if not wrecked]The flat river valley here isn't as wet as the marsh 
further south, and has bloomed into an astonishing wildflower meadow. 
The flowers are all strange and alien, of course, but the air is 
fragrant and peaceful. The only sound is the gentle noise of the river 
to the east. Off to the west the ground begins to rise up to meet the 
canyon wall, while forests dominate the north.[otherwise]There's nothing left of the wildflower meadow but a stinking debris field drowned in mud and silt. The flowers have vanished completely. The river has returned to its banks and broods sullenly to the east. The northern forests and the slopes to the west seem unchanged."

Some flowers are here. They are plant-props. "[if not wrecked]These flowers are delicate spirals of multicoloured hairs.[otherwise]There's nothing left but a few shreds of colour.". Understand "flower" as the flowers.

One grass is here. "[if not wrecked]The grass just looks like grass. Convergent evolution; there's only one efficient shape for a blade of grass...[otherwise][no such thing]". Understand "meadow" as the grass when in the Meadow.

One river is here. "[if not wrecked]The river is flowing strongly, but in the clear 
water you can see many little brown fish.[otherwise]It's still flowing along strongly, but the water is brown and utterly opaque."

Tiny fish are here. They are props. "[if not wrecked]They're moving too quickly for you to spot any details, but they seem to be about ten centimetres long. They're brown.[otherwise][no such thing]". Understand "fish", "minnows" as the tiny fish.

One mud is here. "[if wrecked]You spot a few mangled flowers embedded in it, and sigh.[otherwise][no such thing]". Understand "silt" as the mud when in the Meadow.

There is some debris. It is fixed in place. "Splintered branches and fragments of wood stick up out of the mud everywhere." Understand "splintered", "fragment", "fragments", "wood", "branch", "branches" as the debris. The description is "[if we have examined the debris]It's all immovably embedded in the mud.[otherwise]Most of it is immovably embedded in the mud, but you find a branch that's small enough to move."

Instead of taking the debris:
	say "It's all immovably embedded in the mud."
	
There is a broken branch. It is portable, enterable and a supporter. "One branch seems to be resting on the mud, rather than embedded in it." The description is "It's a trunk that splits into three branches, each going off at an angle. The whole thing's about two metres long and no matter which way up it is there's always one jagged stump sticking up into the air. There's even still some leaves attached." It is late listed.

Instead of climbing the broken branch:
	try entering the broken branch.
	
Before entering the broken branch when the player is carrying something heavy (called O):
	say "(first dropping [the O])";
	silently try dropping O.
	
Report entering the broken branch:
	say "The three lower branches form a surprisingly stable tripod, and you end up balanced precariously about a metre off the ground.";
	stop.

Report getting off the broken branch:
	say "You jump off the branch.";
	stop.
	
Instead of going down while the player is on the broken branch, try exiting.

Does the player mean doing something with the broken branch:
	it is very likely.

When Being the Lemur begins:
	now the debris is in the Meadow.
	
After examining the debris in the Meadow for the first time:
	set pronouns from the broken branch;
	now the broken branch is in the Meadow.

Carry out smelling in the Meadow:
	say "[if not wrecked]Indescribably alien, but very pleasant.[otherwise]The air reeks of decomposition and dank.";
	stop the action.

Carry out listening to in the Meadow:
	say "The river trickles quietly in the distance.";
	stop.


Chapter - Sandy Mound

The Sandy Mound is a room.

The description is "Part of the canyon wall has fallen here, forming a 
huge bank of sandy rubble. This looks like it used to be part of the 
rabbit warren you can see to the south, but this section has been 
abandoned. Part of the mound has begun to be colonised by the woods 
that extend to the north. You can see the river in the distance down to 
the east."

The rubble is here. It is a useless-prop. "The sandstone rubble is quickly 
disintegrating into loose sand, and looks as if the slightest 
disturbance would set it sliding." Understand "bank", "mound", "sand", 
and "rock" as the rubble.

The south end of the warren is here. It is a distant-prop. "As you look south, you think you can see something moving."

The diggable burrows are here. The printed name is "burrows". They are burrows. The diggable burrows can be collapsed or cleared. They are collapsed. "The bank doesn't look very stable and is full of partially collapsed burrows. [if the diggable burrows are cleared]One of them has been dug free of sand.[end if]". The description is "[if the diggable burrows are collapsed]They look like it would be fairly easy to dig the sand out, actually. How long they'll stay that way is another thing entirely.[otherwise]One of the burrows has been dug free of sand, but it looks fairly precarious. If the ground were to shift again..."

Carry out digging in the Sandy Mound:
	if the diggable burrows are cleared:
		say "You've already cleared out one of the burrows.";
	else:
		if a corpse (called A) is in Burrow Interior:
			say "You start digging and quickly uncover [the A]. You haul it out.";
			now a random corpse in Burrow Interior is in the Sandy Mound;
		else:			
			say "You go to work with your front paws and quickly clear the loose sand out of the burrow. It's surprisingly satisfying work.";
			now the diggable burrows are cleared;
	stop the action.

Instead of digging-something the diggable burrows:
	try digging instead.

Instead of pushing or climbing or attacking or digging-something the rubble:
	try attacking the diggable burrows instead.
		
Instead of pushing or climbing the diggable burrows:
	try attacking the diggable burrows instead.

Instead of going up in the Sandy Mound:
	say "The moment you set paw on it the sandy bank starts shifting underfoot. ";
	collapse the burrow.

Understand "collapse [the diggable burrows]" as attacking.
Understand "collapse [the rubble]" as attacking.
Understand "crumble [the diggable burrows]" as attacking.

Instead of attacking the diggable burrows:
	say "You give the sandy bank a good whack. ";
	collapse the burrow.

To collapse the burrow:
	if the diggable burrows are cleared:
		if the NPCOtter is in the Burrow Interior:
			say "It's already beginning to shift from the way the otter is wriggling about, and the burrow falls in on itself with a [italic type]thump[roman type]. There's a brief squeak from inside, followed by a very faint, helpless whine which mercifully stops quickly.";
			if the NPCOtter is in the Burrow Interior:
				kill the otter;
		else:
			say "Small avalanches of sand start cascading all over, one of them neatly filling up the burrow you dug out.";
		now the diggable burrows are collapsed;
	else:
		say "Small avalanches of sand start cascading down all over. The bank here is far too unstable to climb or safely burrow in. [if the npcotter is dead]Just look what happened to the otter.[otherwise]You're not surprised the rabbits have abandoned this part of the warren."

Instead of climbing in the Sandy Mound:
	try going up.

Instead of entering the diggable burrows in the Sandy Mound:
	try going inside.

Last instead of going inside in the Sandy Mound when the diggable burrows are collapsed and the player is a rabbit:
	say "The burrow's collapsed. You'll need to dig the sand out of it first."

Last instead of going inside in the Sandy Mound when the NPCOtter is dead:
	say "Given what happened to the otter, you've changed your mind about feeling safe in there."

Last instead of going inside in the Sandy Mound when the player is carrying something heavy (called T):
	say "You're never going to be able to take [the T] in there with you."
	 
Last instead of going inside in the Sandy Mound when the Burrow Interior contains an animal (called A):
	say "[The A] is already in there, and it's too small for both of you."

Instead of going down in the Sandy Mound:
	try going inside instead.
	
Burrow Interior is a room. It is indoors. The printed name is "Inside the Burrow".

Burrow Interior is inside from Sandy Mound.

The description is "The burrow is cool and dark, and the sandy soil smells pleasantly spicy. Emotionally, you feel totally secure here. Intellectually, you know that the unstable walls could collapse on you, and probably kill you, at any time."

Instead of smelling in Burrow Interior, say "Dry and invigorating."

Instead of going up in the Burrow Interior:
	try exiting instead.
	
Instead of going nowhere in the Burrow Interior:
	say "The only way is out."

Instead of jumping in the Burrow Interior:
	say "There's no room."

Chapter - Bluff

The Bluff is a room.

The description is "A narrow finger of rock points out over the cliff. Unlike the desert, the view here is extraordinary: the lush green canyon falls away to the west, and the endless cloud ocean of the Elysian Lowlands fills the eastern horizon, thousands of metres below. Straight down you can see where the river falls away over the edge of the cliff.

Something large and metallic shines on the other side of the canyon."

One metal is here. The description is "[if the Wrecked Shuttle has been visited]It's the sad wreck of the [Semiquaver], looking abandoned and out of place.[otherwise]It's too far away to really make out, but it's long and thin and definitely artificial. It could be the shuttle.[end if]". Understand "metallic", "large", "shine", "shining" as the metal when in the Bluff. Understand "shuttle" and "semiquaver" as the metal when in the Bluff and Wrecked Shuttle is visited.

One river is here. The description is "The silver thread emerges from the green ball of the Mother Tree and disappears over the edge in a cloud of spray."

One Mother Tree is here. The description is "From up here it actually looks small."

One canyon is here. The description is "It's spread out below you: the Mother Tree at the south end; then the meadows; the river flowing out of the lake, surrounded by forests; and far away at the north there's a distant cascade of water, almost too small to make out." 

Instead of jumping in the Bluff:
	say "That would be suicide."

Instead of going west in the Bluff:
	say "The edge of the plateau goes on as far as you can see, and there is absolutely nothing of interest you can see out there.";
	stop.
	
Instead of going south in the Bluff:
	try going west instead.
	
Instead of going east in the Bluff:
	try jumping instead.


Chapter - Desert West

The Desert West is a room with printed name "Western Desert".

The description is "You were wrong: the view is terrible from here. Outside the canyon there is just barren, sandy wasteland, with the occasional scrubby plant, stretching away in all directions. There are mountains on the horizon, but there's no way you could survive out here long enough to reach them. Down to the east the oasis of the canyon is mostly hidden behind the terrain. There is a rise to the south, near where the land stops."

Some mountains are here. They are props. "Just jagged brown shapes on 
the skyline."

One canyon is here. The description is "The top of the canyon is convex, and from here you can't see anything other than the cliffs on the other side."

A plant is here. It is a plant-prop. The description is "It looks like some 
kind of thorn, but you're don't have the energy to walk out into the 
desert to look." Understand "scrub", "plants", "thorn" as the plant.

One sand is here. The description is "Packed rock, gravel, sand. Tiny 
plants do grow in some of the cracks, and larger plants at intervals, 
but it's definitely something that only the survey department would be 
interested in. Probably by remote." Understand "desert", "rock", "gravel", 
"horizon", "wasteland" as the sand when in Desert West.

Instead of going down in Desert West:
	try going east.
	
Instead of going nowhere in Desert West:
	say "There's nowhere to go out there."
	
		

Chapter - Warren

The Warren is a room.

The description is "This little grassy hollow half-way up the side of the canyon looks like it's been colonised by rabbits. The tough grass-like ground covering has been dug away and the sandy soil underneath is full of burrows. Down to the east the view over the Mother Tree is spectacular, [if the Desert West has not been visited]and you wonder what it would be like from the top[otherwise]much better than it was from the top[end if]; you can probably climb up to the west. The slope steepens and becomes impassably steep to the south, but the warren continues to the north."

The inhabited burrows are here. The printed name is "burrows". They are burrows. "There are burrows everywhere." The description is "[if the NPCRabbits are hiding]There are rabbits sitting in the entrance of the burrows staring at you.[otherwise]When you look down the burrows you can see rabbit eyes staring back at you." Understand "warren" as the inhabited burrows.

One grass is here. The description is "The grass is thin and dry but very strong; you think it is mostly what's holding the dry, sandy soil together." Understand "soil", "sand" as the grass when in the Warren. 

The NPCRabbits are here.

One Mother Tree is here. The description is "From up here it looks even 
stranger: a perfect dome, nestled in the mouth of the canyon."

Instead of going up in the Warren:
	try going west.

Instead of going inside in the Warren:
	if the player is a rabbit:
		say "The burrow is blocked by a large rabbit. It stares at you calmly. It's quite unthreatening, but it's still not letting you in.";
	else:
		say "You're too large to fit."

Instead of entering the inhabited burrows:
	try going inside.

Instead of digging in the Warren:
	say "You have a very strong feeling that the rabbits are more dangerous than they look. That's probably not a good idea."

Instead of listening to in the Warren:
	if the NPCRabbits are hiding:
		say "The air is thick with the kind of quiet you only get when you're being watched.";
	else:
		say "The rabbits shuffle and scratch and make quiet noises to each other."


Chapter - Marsh

The Marsh is a room. It is rivered.

The description is "[if not wrecked]Here in the shadow of the Mother Tree the ground is flat and wet; reed-like plants with white flowers grow everywhere and the air is musky. The river winds slowly along the east side of the marsh with woodlands beyond it. To the west the ground rises to what look like a series of sandy bluffs. The ground looks drier to the north where the canyon ramparts start to close in.[otherwise]Where the marsh used to be there's just a wide expanse of water, which you skirt around. The river forms a line of boiling current in the placid silver-brown lake. There is a waterline partway up the rise to the west, showing that the level used to be higher. The Mother Tree to the south looks definitely worse for wear."

One Mother Tree is here. The description is "[if not wrecked]The huge green wall of the 
Mother Tree dominates the south, completely blocking the narrow throat 
to the canyon.[otherwise]Where the river used to flow through a low arch under the canopy, there's now a ragged tear in the foliage."

One river is here. The description is "[if not wrecked]The ground near the river is wet 
and sodden. It looks like it's flooded here recently.[otherwise]If it was any higher you don't think you'd have been able to get out of the Mother Tree at all."

Understand "waterline", "current", "boiling", "lake" as the river when in the Marsh and wrecked.

Some reeds are here. They are props. The description is "[if not wrecked]When you look closely, you see that they're triangular in cross section, and the flowers are peforated balls that shed pollen when they blow in the breeze. 'Reeds' is a close enough name for now.[otherwise][no such thing]". Understand "flowers" and "plants" as the reeds.

One canyon is here. They are props. The description is "The canyon is 
several kilometres long and hundreds of metres deep. At the south end, 
where you are now, the forested slopes look climbable, but further north 
the canyon steepens and the cliffs rise up again. The river is a silver 
threading running off into the distance." Understand "ramparts" and 
"cliffs" as the canyon when in the Marsh.

Some woodlands are here. They are props. The description is "The lower 
slopes of the canyon are thickly forested." Understand "woods" and 
"forest" as the woodlands.

Some bluffs are here. They are props. The description is "They rise off 
to the west; it looks like you could easily climb out of the canyon that 
way." Understand "bluff" as the bluffs.

Carry out listening to in the Marsh:
	say "[if not wrecked]The reeds rustle quietly in the breeze.[otherwise]The water laps quietly against the bank.";
	stop.

Carry out smelling in the Marsh:
	say "[if not wrecked]The air is full of the scent of damp, growing things.[otherwise]All you smell now is mud.";
	stop.


Chapter - Forest Cathedral

The Forest Cathedral is a room. It is indoors and rivered. The printed name is "Forest Cathedral". "[if not wrecked]The trees here are huge: massive columnar towers rising out of the soft green turf to support the dense leaf canopy above. Golden rays angle down between the trees, filling the vast space with dim light, and reflecting off the river that runs down the east side. [otherwise][first time]You look around you in horror. What happened here?

The Mother Tree is wrecked. [only]Light blazes in from the two ragged arches to the north and south, pitilessly illuminating a scene of devastation. Most of the turf has been ripped away leaving nothing but a great gouge along the river course. Many of the cocoons have been torn free and their broken stems are already starting to wilt. The trees themselves have been scarred and torn.

[end if][the announcement of the Forest Cathedral emotion]"

To decide which emotion is the emotion of the Forest Cathedral:
	if wrecked:
		decide on pain;
	if Being the Rabbit is happening:
		decide on peacefulness;
	decide on caution.

To say the announcement of the Forest Cathedral emotion:
	if the emotion of the Forest Cathedral is:
		-- peacefulness:
			say "The air seems permeated with peacefulness. ";
		-- caution:
			say "Everything seems very quiet, as if you are being watched with caution. ";
		-- pain:
			say "A deep, sourceless pain is everywhere. "
			
The rays of light are here. They are scenery. The description is "The light looks almost liquid, with shining grains of pollen slowly swirling in the still air." Understand "sun", "golden" as the rays of light.

The turf is here. It is scenery. "[if not wrecked]Not quite grass, and not quite moss, 
but it's green and springy.[otherwise]There's still some left, but it's sodden and saturated with mud."

FCMotherTree is here. It is a Mother Tree. Understand "columnar", "towers", "canopy", "pillars", "leaf", "trees" and "leaves" as the FCMotherTree. The description is "[one of]Your gaze slowly follows the tree trunks up to the canopy far overhead. It's an awesome sight. You've never seen anything this big that was alive before. At least, not in person. You recognise it from the [Concerto][']s survey photographs: it's a Mother Tree.[or]The massive tree trunks rise out of the ground to support the vaulted canopy of leaves overhead.[stopping][if not wrecked][first time][paragraph break]The Mother Tree is, according to the [Concerto], a commensal plant which is semi-symbiotic on the surrounding wildlife. Actually getting more details was like pulling hen's teeth; the ship wouldn't answer questions about them, and the survey department seemed to be almost frightened. Eventually you managed to push enough alcohol down Francis so that he muttered something about taking life with one hand and giving it back with the other before he clammed up.[only][otherwise][first time]You look at the damage the flood caused to the Mother Tree and go cold when you realise how close your cocoon was to the edge of it. You don't think that even the Mother Tree's magic could have helped you had you been washed out and down over the cliff to the south.[only]"

Before doing something other than examining the FCMotherTree:
	say "It's just too big.";
	stop.

The cathedral river is here. It is a river. The description is "[if not wrecked]The river is wide and dark, and in the dim light makes an almost perfect mirror.[otherwise]The river is murky and brown, but you can still make out your reflection it it.[end if][paragraph break][the reflection of the player]". Understand "water", "reflection", "mirror" as the cathedral river.

Instead of going west in the Forest Cathedral, say "The canopy is so 
dense that it's almost like wicker, and is completely impossible to push 
through. The only ways out seems to be the low arches to the north and south 
where the river passes through." Instead of going east in the Forest 
Cathedral, try going west.

The closed pods are objects in the Forest Cathedral. The printed name is "closed cocoons". They are fixed in place and early listed. "[if not wrecked]Large green cocoons are attached to the bases of some of the trees.[otherwise]There are still some cocoons left, far away from the river." The description is "On closer inspection, the cocoons are actually growing out of the trees. They're hard balls of veiny green leaves of all different sizes, from half a metre to several metres in diameter. [if the open pod was open]One of them is open.[otherwise]You're not sure which one you climbed out of." Understand "pod", "cocoon", "cocoons", "balls", "ball" as the closed pods.

Instead of opening or closing or entering the closed pods:
	 say "They open and close by themselves."

The open pod is here. The printed name is "open cocoon". It is scenery. The description is "The leaves have unfolded and are pressed flat against the ground, forming a low dais. In the middle a large pile of something like cotton wool lies quietly in the still air." Understand "dais", "pod", "cocoon", "cotton", "wool", "pile" as the open pod. The open pod can be open or closed.

Does the player mean doing something with the open pod when the open pod is closed:
	it is very unlikely.
	
Does the player mean doing something with the closed pods:
	it is unlikely.
	
Instead of opening or closing the open pod:
	say "It opens and closes by itself."

Instead of entering the open pod:
	try going inside.
	
Before doing something with the open pod when the open pod is closed:
	try examining the closed pods instead;
	stop.
	
Before going inside in the Forest Cathedral:
	if the open pod is not in the Forest Cathedral:
		say "The cocoons are all sealed tightly shut, and you can't see any way to open them." instead.

After looking in the Forest Cathedral when the open pod is open:
	say "One of the cocoons is open, revealing a pile of mass of soft, white padding."

Every turn when the player is in the Forest Cathedral:
	if the player is carrying a corpse and the open pod is closed:
		say "One of the cocoons unfolds, revealing a mass of soft, white padding. It seems to be waiting for you.";
		now the open pod is open;
	else if the player is carrying a dead fish and the open pod is closed:
		if the player was in the Marsh or the player was in Bottom of the Canyon:
			say "[one of]You were rather expecting the Mother Tree to react to the dead fish, but nothing happens. Maybe it's only interested in mammals?[or]Despite the dead fish in your mouth, none of the cocoons open.[stopping]";
	now the last location of the player is the Forest Cathedral.

Every turn when the player is in the Forest Cathedral and the last location of the player is the Cocoon and the open pod is closed:
	say "[one of]You climb out of the pile of fluff to find it's heaped on a low, leafy dais. As you step off, the dais silently folds closed behind you to become one of the cocoons[or]As you climb out of the cocoon it silently folds closed behind you[stopping].";
	now the last location of the player is the Forest Cathedral.

Instead of exiting in the Forest Cathedral:
	say "The only ways out are where the river passes under the canopy, to the north and south."
			
The Cocoon is a room. It is indoors. "You are immersed in a warm, 
comforting heap of something soft. It envelops you like an old blanket."

The cotton wool is here. It is a prop. The description is "It's not 
dissimilar to cotton wool, although feels both more fibrous and less 
clinging." Understand "stuff", "heap", "blanket" as the cotton wool.

Instead of touching or smelling the cotton wool:
	try examining the cotton wool instead.
	
The Cocoon is inside from the Forest Cathedral.

Before going outside in the Cocoon when wrecked:
	say "You fight your way free of the cottony stuff. Bright light blinds you for a moment.";
	continue the action.

Before going outside in the Cocoon when not wrecked:
	say "You fight your way free of the cottony stuff. Dim light blinds you for a moment.";
	continue the action.

After going to the Cocoon:
	say "You climb onto the open cocoon and burrow your way into the cottony stuff.";
	continue the action.

To fail to do something in the Cocoon:
	say "You'll have to get out of this stuff first.";
	stop.
	
Instead of going nowhere in the Cocoon:
	fail to do something in the Cocoon.

Instead of examining the player when the player is in the Cocoon:
	fail to do something in the Cocoon.
	
Instead of examining the player when the player is in the Forest Cathedral:
	say "You walk over to the water and study your reflection. [run paragraph on]";
	try examining the cathedral river.

A thing can be fallen. A thing is usually not fallen.

Definition: a thing (called T) is fallen-from-the-canopy if T is in the Forest Cathedral and T is fallen and T is not handled.

Rule for writing a paragraph about a fallen-from-the-canopy thing:
	let L be the list of fallen-from-the-canopy things;
	let P be whether or not the number of entries in L is not 1;
	say "Lying in the mud, surrounded by broken twigs and leaves, [if P is true]are[otherwise]is[end if] [L with definite articles]. [if P is true]They are[otherwise]It is[end if] looking somewhat worse for wear."

Chapter - Bottom of the Canyon

Bottom of the Canyon is a room. It is rivered. "[if wrecked]The sheer rock walls of the canyon to the east and west bracket a scene of carnage. Tree branches and the occasional broken cocoon are strewn along the edge of the river, and a piece of the cliff face has fallen away into the void to the south. Mud is everywhere. The river flows quietly along in the midst of all of this.

The [Semiquaver], high up to the east, is unchanged.[otherwise]Sheer rock walls tower above you to the east and west, and only slightly less impressive is the green wall of the Mother Tree to the north. But to the south the ground 
just stops, and the river pours endlessly into the void.

You can see a glint of metal high up to the east."

Instead of going down in Bottom of the Canyon, say "Even [italic type]thinking[roman type] about going near that horrifying drop makes your heart pound." Instead of going south in Bottom of the Canyon, try going down.

Here is one river. It is scenery. "[if wrecked]Where the river used to fall quietly into the void, there is now a notch where the cliff has fallen away. The water tumbles noisily into the gap.[otherwise]The river here is fast-moving and narrow, before smoothly curving over the edge and down."

The lower waterfall is here. The printed name is "waterfall". It is a 
prop. The description is "[if wrecked]You can't get close to it any more, but the roar of the water bouncing off the gap in the cliff is deafening.[otherwise]You creep as close to edge as you can bear --- which isn't very close --- and try to look down. The waterfall doesn't get anywhere near the clouds, instead just fading away into a haze of water vapour. It's surprisingly quiet. Water only makes noise when it hits the ground, after all, and the ground is a [italic type]long[roman type] way down." Understand "edge", "ground" as the lower waterfall.

One metal is here. The description is "[if the Wrecked Shuttle is visited]The [Semiquaver] looks much less precarious from down here.[otherwise]You can't quite make out what it is; it's only just sticking out over the edge of the cliff." Understand "glint" as the metal when in Bottom of the Canyon. Understand "shuttle" and "semiquaver" as the metal when in Bottom of the Canyon and the Wrecked Shuttle is visited.

Some BCCliffs are here. The printed name is "cliffs". They are scenery. "They look like some kind of sandstone, eroded and crumbly. Totally unclimbable, of course." Understand "cliff", "cliffs", "rock" and "walls" as the BCCliffs when in Bottom of the Canyon.

One Mother Tree is here. The description is "[if wrecked]The flood has torn a jagged hole in the edge of the mother tree. Broken branches jut out forlornly. As you watch, leaves flutter down slowly.[otherwise]From out here the huge bulk of the Mother Tree is a smooth, green, utterly opaque mass. The river pours out through a low arch in the foliage."

One cocoon is here. It is scenery. "[if wrecked]One of them has been split open. You start to go and investigate --- and then realise that what's probably inside is a half-formed and very dead animal. You keep your distance.[otherwise][no such thing]". Understand "cocoons" as the cocoon when in Bottom of the Canyon.

One mud is here. It is scenery. "[if wrecked]It's splattered a disturbing distance up the canyon walls.[otherwise][no such thing]"

There are some sticks. They are fixed in place. "There are broken sticks and splinters all along the water's edge." Understand "splinters", "branches", "branch" as the sticks. The description is "[if we have examined the sticks]It's just useless wreckage.[otherwise]It's mostly just useless wreckage, but you do find one stick that's reasonably straight."

Instead of taking the sticks in Bottom of the Canyon:
	say "There's nothing there worth having."
	
After examining the sticks in Bottom of the Canyon for the first time:
	set pronouns from the stick;
	now the stick is in Bottom of the Canyon.
	
Before going west in Bottom of the Canyon:
	try climbing the BCCliffs instead.

Before going east in Bottom of the Canyon:
	try climbing the BCCliffs instead.

Before going up in Bottom of the Canyon:
	try climbing the BCCliffs instead.

Instead of climbing the BCCliffs in Bottom of the Canyon:
	say "You eye the crumbling, and very high, cliff face dubiously. Not a chance."

Instead of examining south in Bottom of the Canyon:
	try examining the Elysian lowlands instead.
	
There is a stick. It is light and late listed. "Among the wreckage there is one reasonably straight stick." The description is "About a metre long and quite straight. There's something odd about the texture of the wood; it's finely grained and strangely corrugated."

When Being the Lemur begins:
	now the sticks are in Bottom of the Canyon.	

Chapter - Elysia

Elysia is a room. "A thick, spaceless void swirls around you, an alien geometry which has geography but lacks location. Minds shine brightly everywhere, waxing and waning, flickering. Deep inside you can feel complicated processes of life and death at work. You feel giddy, overwhelmed."

PlayerMotherTree is here. It is a person. The description is "[one of]Panic growing, desperate to know what you are now, you somehow you turn your mental eye inwards.

Oh. You're the Mother Tree.

Memories well up: the Mother Tree's animal mind crystallising around yours, words and logic and abstract thought overwhelming the shapeless continuum of feeling that passed for the Mother Tree's consciousness... millions of years of continuous awareness not [italic type]gone[roman type], precisely, but made lesser; secondary to your own.

The feeling slips away from you. Your own human awareness isn't big enough to encompass this.[or]You try to look inwards again, but with less success. The Mother Tree is simply too big for you to handle.[or]Desperately, you grope for the Mother Tree's memories, but they elude you.[stopping]"

A void is here. It is a prop. The description is "No-place, no-space, it barely has time... there is distance with no position, geography with no travel... your mind swims and you desperately try to focus on something else before you get sucked in." Understand "geometry", "geography", "location" as the void.

Some minds are here.  They are props. The description is "You brush your awareness over them: they are simple animal minds, going about their business. There is hunger and fear, pleasure and pain here. They are unsophisticated feelings of the now, somehow reassuring." Understand "mind", "deer", "rabbits", "animals", "animal" as the minds.

Life is here. It is a prop. The description is "[one of]You try to feel inside yourself, to try and get a grip on those mysterious inner processes. As you grope towards them, you fumble, and you can feel something glitch: creatures dying when they should live, minds being scrambled, half-finished bodies being dumped out of their cocoons... in panic, you withdraw, and try to focus on something else; distantly, things seem to return to normal. You can't handle this.[or]You don't want to think about that, in case you do more damage.[stopping]". Understand "death", "processes" as life.

A cluster of sparks is here. "Somewhere a cluster of sparks tries to grab your attention. They feel somehow familiar." Understand "cluster", "familiar" as the cluster of sparks. The description is "[one of]You push your awareness out towards the sparks. Those minds feel --- not distant, yet somehow remote. Separated from what you are now. You lightly brush over them, and feel fleeting moments of terror, rage, panic, pain... there is fire, and bright shapes spinning against dark, bravery and cowardice. There is death there, and a lot of it, minds slowly evaporating from their cooling brains.

You draw back, terrified.[or]You reach out again. You're sure now: this is the [Concerto], or what's left of it. Now all you feel is desperation, a thousand humans and machines slowly dying, hoping for someone to save them.[or]All your instincts --- both human and Mother Tree --- want to save them. But all you are is a mind, even if one swelled by countless other minds. You have no way to physically reach them...[stopping]"

Before of taking inventory when the player is PlayerMotherTree:
	try examining the player instead.

Before examining inside when the player is PlayerMotherTree:
	try examining the player instead.
	
First instead of doing something other than looking, examining, taking inventory, attacking, taking, asking, to-talking or talking when the player is PlayerMotherTree:
	say "That seems to be meaningless here."

Before talking when the player is PlayerMotherTree:
	say "There are no words here. You'll need to find some more direct way of making your intentions plain.";
	stop.
	
Before taking the minds:
	say "You don't want to interfere with them. They're safe where they are, and they feel very fragile, somehow.";
	stop.
	
Report taking the cluster of sparks:
	say "Bracing yourself, you reach out towards the distant/remote/separated minds, and gently lift them out of their dying bodies. They flow towards you." instead.

Instead of attacking the cluster of sparks:
	say "Bracing yourself, you reach out towards the distant/remote/separated minds, and brushing your awareness over them, snuff them out. They go dark. Fear, pain, despair, all gone in an instant, but so is hope, courage, bravery, loyalty...
	
You withdraw and try to centre yourself, and watch without interfering while the complicated inner world of the Mother Tree slowly begins to fail. The placeless nowhere around you begins to fold in on itself, and on the edge of your memory an aeon of carefully stored animal minds fades slowly and is gone.

Eventually the only thing left is you. And soon after, not even that.";
	end the game saying "You have died".

Instead of attacking the minds:
	say "They deserve better from you than that.".
	
Last instead of attacking in Elysia:
	say "No!"
	
Part - Emotions

An emotion is a kind of thing.

excitement is an emotion.

peacefulness is an emotion.

caution is an emotion.

contentment is an emotion.

satisfaction is an emotion.

concentration is an emotion.

irritation is an emotion.

annoyance is an emotion.

hunger is an emotion.

anger is an emotion.

fear is an emotion.

disappointment is an emotion.

hope is an emotion.

frustration is an emotion.

hostility is an emotion.

pain is an emotion.

Animal emotion rules is an animal based rulebook producing an emotion.

Every animal has an emotion called the current emotion. Every animal has an emotion called the previous emotion.

To say the telepathy direction of (D - a direction):
	if D is:
		-- north: say "[the D]";
		-- east: say "[the D]";
		-- south: say "[the D]";
		-- west: say "[the D]";
		-- up: say "above";
		-- down: say "below";
		-- outside: say "outside";
		-- inside: say "inside";
		-- otherwise: say "all around".
			
Part - AI & game logic

Chapter - Setup

An animal has a room called the last location. The last location is usually nowhere. An animal can be moving.

To move (A - an animal) tidily to (R - a room):
	dbg "[A] moves from [the location of A] to [R]";
	now the last location of A is the location of A;
	now A is moving;
	dbg "the last location of [A] is [the last location of A]";
	move A to R.
	
Definition: the NPCFox is seeing the rabbit if the location of the NPCFox contains PlayerRabbit.
Definition: the NPCFox is seeing the otter if the location of the NPCFox contains an otter.

The NPCDeer can be calm, wary or startled.
The NPCDeer has an object called the food.
The NPCOtter can be consuming the fish.
The NPCOtter can be frustrated.
The NPCLemur can be angry.

The NPCFox has an object called the quarry. The quarry of the NPCFox is nothing.

The NPCDeer are in the Meadow.
The NPCOtter is in the Lake.
The NPCFox is in the Straggly Forest.
The NPCLemur is in the Lower Slopes.

Running the deer is a rulebook.
Running the fox is a rulebook.
Running the otter is a rulebook.
Running the lemur is a rulebook.
Collapsing ledge is a rulebook.
Report AI is a rulebook. 

Last every turn:
	monitor the animals;
	now the NPCDeer are calm;
	now the NPCDeer are not moving;
	now the food of the NPCDeer is nothing;
	now the NPCFox is not moving;
	now the NPCOtter is not moving;
	now the NPCOtter is not consuming the fish;
	now the NPCOtter is not frustrated;
	now the NPCLemur is not moving;
	[The otter moves first, so that it can follow the player away from the fox.]
	if the NPCOtter is alive:
		follow the running the otter rulebook;
	[Now the fox moves.]
	if the NPCFox is alive:
		follow the running the fox rulebook;
	[At this point, the player may have been eaten.]
	if the story has ended:
		stop;
	[Otherwise, continue with the AI processing. The deer move after the fox because they react to the fox.]
	if the NPCDeer are alive:
		follow the running the deer rulebook;
	[The lemur moves last... because.]
	if the NPCLemur is alive:
		follow the running the lemur rulebook;
	follow the collapsing ledge rulebook;
	follow the report AI rulebook.

To monitor the animals:
	dbg "the deer was in [the last location of the NPCDeer] and is now in [the location of the NPCDeer]";
	dbg "the otter was in [the last location of the NPCOtter] and is now in [the location of the NPCOtter]";
	dbg "the fox was in [the last location of the NPCFox] and is now in [the location of the NPCFox]";
	dbg "the lemur was in [the last location of the NPCLemur] and is now in [the location of the NPCLemur]".

Collapsing ledge when the player is in Precarious Ledge and an NPC animal (called A) is in Precarious Ledge:			
	say "[The A] chases you from the south onto the ledge --- which abruptly gives way underneath you. You, [the A], and what seems like several tonnes of rock drop into the water in a shocking plunge that stuns you for a few moments.";
	now the Precarious Ledge is collapsed;
	move A to Deep Plunge;
	move the player to Deep Plunge.

Treading water for the player when the player is not an otter:
	let S be the swim time of the player;
	say "[text in row S of Table of Player Drowning Messages][paragraph break]".

Table of Player Drowning Messages
Text
"The survey report said that [printed plural name of the player] can't swim. You paddle furiously nevertheless in the hope that you remembered incorrectly."
"You keep paddling, but your strength is beginning to give out."
"You're having trouble keeping your head above the surface..."
"It turns out you were right. [printed plural name of the player in mixed case] can't swim."

Drowning for the player:
	end the story saying "You have drowned";
	stop.
	
Treading water for NPCFox:
	if the player is in the Deep Plunge:
		let S be the swim time of NPCFox;
		say "[text in row S of Table of Fox Drowning Messages][paragraph break]". 

Table of Fox Drowning Messages
Text
"The fox is mindlessly flailing at the water in panic, trying to stay afloat."
"The fox is clawing at the sides of the pit, trying to climb out. A few rocks come down but it can't get any purchase."
"The fox is exhausted and can't keep its head above the water any more. Some bubbles come up."
"There is a final convulsion, and the fox is still, floating with its head just under the water."

Drowning for NPCFox:
	remove NPCFox from play;
	now NPCFox is dead;
	now the deceased fox is in the Deep Plunge.

To decide which direction is clockwise from (D - a direction):
	if D is:
		-- north: decide on east;
		-- east: decide on south;
		-- south: decide on west;
		-- west: decide on north;
	decide on nothing.

To decide which direction is anticlockwise from (D - a direction):
	if D is:
		-- north: decide on west;
		-- west: decide on south;
		-- south: decide on east;
		-- east: decide on north;
	decide on nothing.

To decide what direction is the fleeing direction away from (A - a direction) in (L - a room) through (R - a description of objects):
	let OA be the opposite of A;
	let RR be the room OA of L;
	if RR matches R:
		decide on OA;
	else:
		let D be clockwise from OA;
		now RR is the room D of L;
		if RR matches R:
			decide on D;
		else:
			now D is anticlockwise from OA;
			now RR is the room D of L;
			if RR matches R:
				decide on D;
			else:
				decide on A.
	
Chapter - Telepathy

Every direction has a list of animals called the current telepathic field. Every direction has a list of animals called the previous telepathic field.

player-moving is a truth state which varies.

After going or looking:
	now player-moving is true;
	continue the action.

First before doing anything:
	now player-moving is false;
	continue the action.

Definition: an animal (called A) is close if the location of A is not nothing and the location of A is adjacent to the location of the player.

Definition: an animal (called A) is telepathable if A is the NPCRabbits or A is an alive introduced NPC animal.

First every turn:
	repeat with A running through telepathable animals:
		now the previous emotion of A is the current emotion of A;
		now the current emotion of A is the emotion produced by the animal emotion rules for A;
	repeat with D running through directions:
		now the previous telepathic field of D is the current telepathic field of D;
		truncate the current telepathic field of D to 0 entries;
	repeat with A running through close telepathable animals:
		let D be the direction of the location of A from the location of the player;
		dbg "[A] to [the D] is [current emotion of A]";
		add A to the current telepathic field of D.

[Remove animals from the current telepathic field if the animal has moved into the player's location.]
Last every turn:
	repeat with D running through directions:
		let R be the room D of the location of the player;
		let DL be the current telepathic field of D;
		repeat with A running through DL:
			if the location of A is the location of the player:
				remove A from the current telepathic field of D.
				
To say the instantaneous emotions from (D - a direction):
	let EL be a list of emotions;
	repeat with A running through the current telepathic field of D:
		add the current emotion of A to EL, if absent;
	if EL is not empty:
		say "[EL] from [the telepathy direction of D]".
		
Last every turn when player-moving is true:
	let DL be a list of directions;
	repeat with D running through directions:
		if the current telepathic field of D is not empty:
			add D to DL;
	let LDL be the number of entries in DL;
	if LDL is greater than 0:
		say "[one of]Something... very strange... starts to happen. You find yourself with this strong feeling of [the current emotion of entry 1 of the current telepathic field of entry 1 of DL], except you know it's not you feeling it; you can even sense the direction. You never felt anything like it before, but nevertheless, you can distinctly feel [or]There's that strange sensation again, of [or]You can feel [stopping]";  
		if LDL is 1:
			say the instantaneous emotions from entry 1 of DL;
		else if LDL is greater than 1:
			repeat with X running from 1 to LDL:
				say the instantaneous emotions from entry X of DL;
				if X is not LDL:
					say ", ";
				if X is (LDL - 1):
					say "and ";
		say ".".

	A telepathic event is a kind of value. The telepathic events are new-emotion, fading-emotion and changing-emotion.

Every animal has a telepathic event called the telepathic event type.
Every direction has a list of animals called the telepathic event animal list.

Last every turn when player-moving is false:
	let IDL be a list of directions;
	repeat with D running through directions:
		truncate the telepathic event animal list of D to 0 entries;
		repeat with A running through the previous telepathic field of D:
			if A is not listed in the current telepathic field of D:
				add A to the telepathic event animal list of D;
				now the telepathic event type of A is fading-emotion;
		repeat with A running through the previous telepathic field of D:
			if A is listed in the current telepathic field of D:
				if the current emotion of A is not the previous emotion of A:
					add A to the telepathic event animal list of D;
					now the telepathic event type of A is changing-emotion;
		repeat with A running through the current telepathic field of D:
			if A is not listed in the previous telepathic field of D:
				add A to the telepathic event animal list of D;
				now the telepathic event type of A is new-emotion;
		if the number of entries of the telepathic event animal list of D is greater than 0:
			add D to IDL;
	let LIDL be the number of entries of IDL;
	if LIDL is greater than 0:
		say "[one of]There's that peculiar sensation again; [or]You suddenly notice [or]You sense [stopping]";
		repeat with Y running from 1 to LIDL:
			let D be entry Y of IDL;
			if Y is greater than 1:
				if Y is LIDL:
					say " and ";
				else:
					say ", ";
			let AL be the telepathic event animal list of D;
			let LAL be the number of entries in AL;
			repeat with X running from 1 to LAL:
				let A be entry X of AL;
				if X is greater than 1:
					if X is LAL:
						say " and ";
					else:
						say ", ";
				if the telepathic event type of A is:
					-- fading-emotion:
						say "[one of]the feeling of [or][stopping][the previous emotion of A] fading";
					-- changing-emotion:
						say "[one of]the feeling of [or][stopping][the previous emotion of A] changing to [the current emotion of A]";
					-- new-emotion:
						say "[one of]there is [or][stopping]a new feeling of [the current emotion of A]";
			say " from [the telepathy direction of D]";
		say "."

After deciding the scope of the player:
	repeat with D running through directions:
		repeat with A running through the current telepathic field of D:
			place the current emotion of A in scope.
			
After deciding the scope of the player when in the Forest Cathedral:
	place the emotion of the Forest Cathedral in scope.

Instead of examining an emotion (called E):
	let DL be a list of directions;
	repeat with D running through directions:
		repeat with A running through the current telepathic field of D:
			if the current emotion of A is E:
				add D to DL;
	let LDL be the number of entries in DL;
	say "All you can tell is that it's coming from ";
	if LDL is:
		-- 0:
			say "all around";
		-- otherwise:
			repeat with X running from 1 to LDL:
				let D be entry X of DL;
				if X is greater than 1:
					if X is LDL:
						say " and ";
					else:
						say ", ";
				say the telepathy direction of D;
	say "."

Before touching an emotion (called E):
	try examining E instead.
	
Before doing something other than examining an emotion:
	say "That doesn't seem possible."
	 			
Chapter - Killing things

Understand "bite [something]" as attacking.
Understand "kick [something]" as attacking.

Last instead of attacking the player:
	say "Things aren't that bad yet."

First instead of attacking an animal when the NPCBeavers are dead:
	say "You really, really don't want to kill anything. Ever again."
	
First instead of attacking the NPCLemur when the NPCBeavers are dead:
	say "You keep thinking about the beavers. Maybe actually [italic type]killing[roman type] the lemur isn't strictly necessary."
	
Last instead of attacking the NPCDeer:
	say "The moment the thought crosses your mind, the biggest deer turns to stare at you balefully, and you find yourself thinking about how that curved horn could so easily skewer your body to the ground."

Last instead of attacking the NPCBeavers when the player is PlayerFox:
	say "You brace yourself to leap --- the beavers are big and actually look quite dangerous. But then a wave of frustration and anger descends on you, and the world vanishes into a red blur and a flood of rage so intense that it's an unbearable pressure in your head. The riots on the [Concerto], your helplessness on Elysia, the pointless deaths above and below, all meld into one.
	
You come to your senses in the middle of a massacre. Torn beaver bodies lie everywhere. You've killed them all. You start shaking with shock and horror.

Oh, you think. That's where the fox's mind went.";
	now the NPCBeavers are dead;
	remove the NPCBeavers from play;
	now the deceased beavers are in the Beaver Dam;
	the shock wears off in three turns from now.
	
At the time when the shock wears off:
	say "Pain suddenly hits you, and you realise that you're covered in scrapes and gouges and one nasty cut on the side of the head that narrowly misses your eye. The beavers fought back. You find yourself licking your wounds, numbly seeking comfort.";
	the beavers are revelated in three turns from now.
	
At the time when the beavers are revelated:
	say "Belatedly, you realise that whatever strange telepathic experience you shared with the other animals in the canyon did not happen with the beavers. You could sense their emotions, but beyond that they were as closed to you as they would have been had you been human.
	
Does this mean anything? Does that mean that the Mother Tree's mysterious miracle does not work on them and that they are now [italic type]truly[roman type] dead, with no chance of living again?

It is horribly tempting to find out. Their bodies are right there, after all. But you need to be a fox too badly, and besides, you'd rather not know..."
	
Last instead of attacking the NPCBeavers:
	say "They're actually quite large, those tusks look like they could do a lot of damage, and you're not really built to hunt down large mammals. You'd need to be desperate, and you're not quite there yet."
	
Last instead of attacking NPCRabbits:
	now the player is scary to rabbits.

Last instead of attacking the NPCLemur:
	let L be the location of the NPCLemur;
	if L contains an aromatic bush:
		say "It's safely inside the extremely spiky and impenetrable bush.";
	else: 
		say "It's too high up in the trees."
		
Last instead of attacking an animal when the player is PlayerRabbit:
	say "You're a rabbit. About the only thing you're capable of hurting are leaves."

Last instead of attacking NPCFox when the player is PlayerOtter:
	say "Just because you're big enough that it doesn't want to kill you doesn't mean that you're big enough to kill it."
	
Last instead of attacking:
	say "That wouldn't achieve much."	
				
Chapter - Reporting

To introduce the NPCDeer:
	if the NPCDeer are not introduced:
		say "One of them turns its head to look at you.

[italic type]The buck is completely secure in his world. He has few needs: his mates, enough to eat, safety. Here in the canyon the only thing he has to be at all wary of is that annoying little creature with the sharp teeth that is always hanging around; if it ever came close enough he could kill it with a single kick, but it always keeps its distance. There is a nagging itch at the back of his mind, however: somewhere in the canyon there is the smell of the Wonderful Plant. He just can't find it.[roman type]

There. It happened again. ";
		now the NPCDeer are introduced.

First report AI when the NPCDeer are moving:
	let L be the location of the NPCDeer;
	let OL be the last location of the NPCDeer;
	let D be the direction of L from OL;
	if the player is enclosed by OL and the NPCDeer are introduced:
		if the player is a fox:
			say "As you approach the deer gallop off to [the D]. ";
		else if the NPCDeer are startled:
			say "The deer suddenly look up, and then bound off [D]. ";
		else if the NPCDeer are wary:
			say "The deer suddenly prick up their ears, and then walk off [D]. ";
		else:
			say "The deer drift off to [the D]. ";
		if OL is the Beaver Dam and the NPCBeavers are alive:
			say "The beavers relax, disperse, and go about their business again. ";
		say "[paragraph break]";
	if the player is enclosed by L:
		if the NPCDeer are not introduced:
			say "A small group of deer-like animals, much larger than you are, ";
		else:
			say "The deer ";				
		if the NPCDeer are startled:
			say "gallop up from [the opposite of D] with a thunder of hooves. They spend several moments looking around with suspicion before returning to their grazing. ";
		else if the NPCDeer are wary:
			say "walk purposefully up from [the opposite of D]. ";
		else:
			say "slowly amble towards you, from [the opposite of D]. ";
		introduce the NPCDeer;
		if L is the Beaver Dam and the NPCBeavers are alive:
			say "[paragraph break]The beavers suddenly dash up towards the deer, trying to drive them away from the dam and the river bed.";
		else:
			say "[paragraph break]".

First report AI when the NPCDeer are not moving and the NPCDeer are alive and the NPCDeer are not in the Beaver Dam:
	let L be the location of the NPCDeer;
	if the player is in L:
		if player-moving is true and the NPCDeer were alive:
			if the NPCDeer are not introduced:
				say "A small group of deer-like animals, much larger than you are, ";
			else:
				say "The little herd of deer ";
			say "is grazing here. ";
			introduce the NPCDeer;
		if the food of the NPCDeer is not nothing:
			say "There's a brief tussle as the deer fight for [the food of the NPCDeer]. The winner chews blissfully, green-tinted drool dripping from its mouth.";
		else if the player has a bundle of aromatic leaves:
			say "[one of]The deer all stare fixedly at you, nostrils flaring.[or]One of the deer leans over and sniffs you. It looks very big.[or]The deer all watch you intently. Green-coloured slime dribbles out of their mouths.[or]One of the deer slowly walks around you, staring at you all the while.[or]The deer seem to find you utterly fascinating to an extent that makes you quite nervous.[at random]"; 
		else:
			say "[one of]The deer are quietly grazing.[or]The buck deer stares at you, eyes narrowed.[or]One of the younger deer bites its sibling, and there's a brief altercation.[or]The deer stare into space for a while.[or]The buck deer sniffs the air.[or]One of the deer paws at the ground.[or]One of the juvenile deer rolls on the ground, before clambering to its feet again.[or]The buck deer shakes itself. A cloud of dust rises from its mane.[or]One of the deer sharpens its horn against a stone.[at random]".
		
[ !!!! Important: this rule prevents any fox AI messages appearing when the fox is drowning. Don't put any such messages after this. !!!! ]

To introduce the NPCFox:
	if the NPCFox is not introduced:
		say "You see bright eyes and hunger. The survey report mentioned these. It's a...

[italic type]The fox is hungry, but it is always hungry. A long time ago it was mauled by one of those horrible animals at the dam, and was unable to hunt and was starving; then it found a dead deer, and gorged itself on the half-rancid meat. It was the best thing it ever experienced, and for a few brief hours afterwards, it was replete. Now it follows the deer around endlessly. They are far too large for it to kill, but it lives in hope of another windfall. In the meantime it scavenges for insects and tiny furry things. And, of course, it's always on the lookout for a bigger meal.[roman type]

You blink, disoriented.[br]";
		now the NPCFox is introduced.

To report the NPCFox chasing you:
	if the quarry of the NPCFox was not the player and the quarry of the NPCFox is the player:
		say "It ";
		if the player is a rabbit:
			say "eagerly ";
		else if the player is an otter:
			say "reflexively ";
		say "begins to chase you. ";
			
First report AI when NPCFox is in the Deep Plunge and the player is in the Deep Plunge:
	stop.
	
Report AI when the player is enclosed by the location of the NPCFox and the quarry of NPCFox is not the player and the quarry of NPCFox was the player:
	if the NPCFox is embarrassed:
		let L be the location of the NPCFox;
		let OL be the last location of the NPCFox;
		let D be the direction of L from OL;
		say "[if the NPCFox is moving and D is not nothing]The fox chases behind you from [the opposite of D] before realising that you're bigger than it is and coming to a rather confused halt.[otherwise]At the last moment the fox realises that you're bigger than it is and comes to a rather confused halt.";
	else:
 		say "The fox sniffs around a bit, obviously having lost track of you, and then gives up trying to figure out where you've gone.";
	stop.

Report AI when the NPCFox is moving:
	let L be the location of the NPCFox;
	let OL be the last location of the NPCFox;
	let D be the direction of L from OL;
	if the player is enclosed by OL:
		say "The fox paces off to [the D].";
	if the player is enclosed by L:
		if the NPCFox is not introduced:
			say "A vicious-looking brown and white creature trots up from [the opposite of D]. ";
			introduce the NPCFox;
		else:
			if the quarry of NPCFox was the player:
				say "The fox is chasing behind you from [the opposite of D]. ";
			else if the quarry of the NPCFox was not nothing:
				if the quarry of the NPCFox is not nothing:
					say "The fox is chasing in after [the quarry of the NPCFox] from [the opposite of D]. ";
				else:
					say "You almost run into the fox as it approaches from [the opposite of D]. ";
			else:
				say "The fox approaches from [the opposite of D]. ";
		report the NPCFox chasing you;
		if L is the location of the NPCDeer:
			say "The deer back away warily.";
		say "[paragraph break]".

Report AI when NPCFox is alive and NPCFox is not moving:
	let L be the location of NPCFox;
	if the player is in L:
		if the quarry of the NPCFox is not the player:
			say "The fox is pointedly ignoring you. ";
		else:
			if the NPCFox is not introduced:
				say "A vicious-looking brown and white creature turns to look at you in the grass. ";
				introduce the NPCFox;
			else:
				say "You almost run into the fox again. ";
			report the NPCFox chasing you;
		say "[paragraph break]";
	else if the player is enclosed by L:
		say "[one of]The fox grubs around under something for insects.[or]The fox raises its muzzle, sniffing the air.[or]The fox snaps at a flea.[or]The fox scratches itself.[or]The fox investigates some long grass.[or]The fox yawns.[at random]".

To introduce the NPCOtter:
	if the NPCOtter is not introduced:
		say "There's a sudden splash as the otter surfaces just offshore. Close up, it's noticeably bigger than you are, with a pointed nose and alert looking whiskers. It stares at you with interest.
		
[italic type]The otter is bored. And a bit hungry. And cross. Mostly bored. There's lots of crunchy things in the lake, and they're good, but what it really wants is fish. And something to do. The creatures on the dam won't let it near the fish, but this [printed name of the player] has one! But there's something not right about it. Maybe it's dangerous? But it has a fish for the otter. It must love the otter![roman type]

While you're reeling from this bombardment of images, the otter wriggles ashore and scurries up the beach. ";
		now the NPCOtter is introduced.
		
To report the NPCOtter patience:
	let L be the location of the NPCOtter;
	if L contains a dead fish:
		say "sees the dead fish with delight. ";
	else if the patience of the NPCOtter is at least 0:
		if the patience of the NPCOtter is:
			-- 5: say "watches you eagerly";
			-- 4: say "waits for you patiently";
			-- 3: say "appears to be a bit less confident";
			-- 2: say "is getting a little puzzled";
			-- 1: say "is beginning to look disappointed";
			-- 0: say "gives you a look full of betrayal";
		let D be the direction of a dead fish from L;
		if D is not nothing:
			let R be the room D of L;
			say ", but is seems to have picked up an interesting scent [if R is the Burrow]from the burrow[otherwise]to [the D][end if]";
		say ". ". 
			

To report the NPCOtter in the Beaver Dam:
	if the NPCOtter is in the Beaver Dam and the player is in the Beaver Dam:
		say "looks longingly at the fish jumping in the pools, but eyes the beavers and stays well over on the west side of the shore. "
		
Report AI when the NPCOtter is not moving and the location of the NPCOtter encloses the player:
	let L be the location of the NPCOtter;
	if the NPCOtter is consuming the fish:
		say "The otter sits back on its haunches and gobbles down the fish with every appearance of satisfaction. ";
		if the player is in L:
			say "It ";
	else if the player is in L:
		say "The otter ";
	if the player is in L:
		if the patience of the NPCOtter is at least 0:
			report the NPCOtter patience;
		else:
			say "is dithering worriedly. ";
		if the player was not in the Beaver Dam:
			if the NPCOtter is in the Beaver Dam:
				say "It ";
				report the NPCOtter in the Beaver Dam;
	say "[paragraph break]".
		
Report AI when the NPCOtter is moving:
	let L be the location of the NPCOtter;
	let OL be the last location of the NPCOtter;
	let D be the direction of L from OL;
	if the player is enclosed by OL:
		if L is Burrow Interior and OL is the Sandy Mound:
			say "The otter wriggles into the rabbit burrow. It's really too big to fit and the burrow starts to crumble around it.";
		else if L is the Lake and OL is the Beach:
			say "The otter dives back into the water and vanishes.";
		else if L is the Deep Plunge and OL is the Cascades:
			say "The otter dives into the pool.";
		else if OL is the Deep Plunge:
			say "The otter disappears below the surface.";
		else: 
			say "The otter dashes off to [the D].";
	if the player is enclosed by L:
		if L is the Sandy Mound and OL is Burrow Interior:
			say "The otter worms its way out of the rabbit burrow. ";
		else if L is the Beach and OL is the Lake:
			if the NPCOtter is not introduced:
				introduce the NPCOtter;
			else:
				say "The otter abruptly bursts out of the water and scurries up the beach. ";
		else if L is the Deep Plunge:
			say "The otter smoothly surfaces, startled. ";
		else:
			if the patience of the NPCOtter is at least 0:
				say "The otter follows you from [the opposite of D], whiskers twitching. It ";
				report the NPCOtter patience;
			else:
				say "The otter hurries up from [the opposite of D], whiskers twitching. ";
		if L is the Beaver Dam:
			say "It ";
			report the NPCOtter in the Beaver Dam;
		say "[paragraph break]".
	
Report AI when the NPCOtter is not moving and the NPCOtter is in the Lake and the player is in the Beach:
	if the Beach was not visited:
		say "Over on the other side of the lake, a black animal is playing on the edge of the water. It never seems to stay still and it takes you a few moments to identify it as an Elysian otter.";
	else:
		if the last location of the player is the Beach:
			say "In the distance, ";
		else:
			say "Over on the other side of the lake, ";
		if the player has a dead fish:
			say "you can see the otter with its head out of the water, staring at you intently.";
		else:
			say "[one of]you can see a trail of bubbles where the otter is swimming underwater.[or]the otter appears to be chasing its own tail.[or]you can see the otter playing in the water around the base of the cliff.[or]the otter is floating on its back, apparently studying the sky.[or]the otter is basking in the sunlight.[or]the otter is messily dismantling something on a rock on the far shore of the lake. You can't tell what.[in random order]"

Report AI when the NPCOtter is not moving and the NPCOtter is in Sandy Mound and the player is in Burrow Interior and the NPCOtter is frustrated:
	[The only time this is true is when the otter wants to go into the burrow but can't because the player is there.]
	say "You hear sniffing and whiskers briefly block the light at the burrow entrance."

To introduce the NPCLemur:
	if the NPCLemur is not introduced:
		say "A pair of shining eyes stares at you from out of the thorny bush. After a few seconds, the shape of a vaguely anthropoid creature resolves around them. Ah, yes, you remember this: it's a lemur. You have just enough warning to brace yourself before...
		
[italic type]The lemur stares at the strange [printed name of the player] with a distant curiosity. Its mind is unfocused, blurred by the psychedelic drug in the leaves it loves so much. It knows that the [printed name of the player] is unusual, but it doesn't care. It doesn't care much about anything except the leaves. It just sits and watches the world, and occasionally, when the colours focus for a moment, interacts with it.[roman type]

That was... unusual.[br]";
		now the NPCLemur is introduced.
		
Report AI when the NPCLemur is moving:
	let L be the location of the NPCLemur;
	let OL be the last location of the NPCLemur;
	let D be the direction of L from OL;
	if the player is enclosed by OL:
		if OL is the Beaver Dam:
			say "The lemur struggles up the bank and disappears into the trees to [the D].";
		else if OL contains a not chewed aromatic bush:
			say "The lemur bounces out of the bush, shoots up a tree and leaps through the branches to [the D].";
		else:
			say "The lemur leaps through the tree branches to [the D].";
	if the player is enclosed by L:
		if the NPCLemur is not introduced:
			say "There is a rustle from nearby. ";
			introduce the NPCLemur;
		else if L is the Beaver Dam:
			say "The lemur jumps down from the trees to [the opposite of D] onto the dam, and immediately loses its balance. When it gets up again it sees you, squeaks, and begins trying to climb back up into the trees again."; 
		else if L contains a not chewed aromatic bush:
			say "There's a loud rustling of leaves as the lemur swings up from [the opposite of D], runs down a tree and dives into the spiky bush.";
		else:
			say "The branches overhead rustle as the lemur swings up from [the opposite of D]."

Report AI when the NPCLemur is not moving:
	let L be the location of the NPCLemur;
	if the player is enclosed by L:
		introduce the NPCLemur;
		if L is the Beaver Dam:
			if the player was not in the Beaver Dam:
				say "As you approach, the lemur squeaks, and starts desperately backing across the dam, trying to get away from you.";
			else:
				say "The lemur is flailing across the top of the dam.";
		else if L contains a not chewed aromatic bush:
			say "[one of]The lemur stares solemnly at you from out of the spiky bush.[or]The lemur starts carefully pulling leaves off a twig and popping them into its mouth, one by one.[or]The lemur just stares into space for a while.[or]The lemur scratches itself.[or]The lemur licks itself contemplatively.[or]The lemur seems to find something very interesting under one armpit.[or]The lemur languidly picks up a some small insect of some kind, stares at it for a while, and then pulls the legs off before throwing it away.[or]The lemur gives you a suspicious look.[or]The lemur blinks.[at random]";
		else:
			say "[one of]The lemur chatters angrily at you from high in the branches.[or]The lemur angrily throws a twig down at you.[or]You know the lemur's not sentient and just an animal, but the noises it's making at you definitely sound like swearing.[or]The lemur screeches at you.[or]The lemur gives you a very dirty look.[or]The lemur pulls a handful of leaves off a tree and throws them at you.[or]The lemur abruptly shivers violently, as if it's having a fit.[or]The lemur spits down at you.[at random]".

To introduce the NPCBeavers:
	if the NPCBeavers are not introduced:
		say "A half-dozen or so humped, stocky creatures are bustling about, working on the dam: Elysian beavers. They ";
		now the NPCBeavers are introduced;
	else:
		say "The beavers ".
	
Report AI when the NPCBeavers were alive and the NPCDeer are in the Beaver Dam and PlayerFox is not in the Beaver Dam and the NPCBeavers are in the Beaver Dam:
	if the player was not in Beaver Dam and the player is in Beaver Dam:
		if the NPCDeer are not introduced:
			say "A small group of deer-like animals, much larger than you are, are milling around on the west side of the dam. ";
			introduce the NPCDeer;
		introduce the NPCBeavers;
		say "are confronting the deer, forming a line blocking them from crossing the river.";
	else if the player is in Beaver Dam:
		if the food of the NPCDeer is not nothing:
			say "One of the deer darts past the beavers, grabs the bundle of leaves, and retreats again, chewing noisily and messily.";
		else:
			say "[one of]The deer are staring longingly at the other side of the river, nostrils flaring.[or]One of the deer puts a foot on the river bed, but backs off when one of the beavers scurries up.[or]The buck tries to stare the beavers down, brandishing his horn, but they ignore him.[or]One of the smaller deer lips the grass in a dissatisfied manner.[or]One of the beavers darts in to nip one of the deer's legs, but a flourish of the deer's horn sends it running.[or]One of the does starts to drool.[at random]".
		
Report AI when the NPCBeavers were alive and the NPCDeer are not in the Beaver Dam and PlayerFox is not in the Beaver Dam and the NPCBeavers are in the Beaver Dam:
	if the player was not in Beaver Dam and the player is in Beaver Dam:
		introduce the NPCBeavers;
		say "bustle about, working on the dam.";
	else if the player is in Beaver Dam:
		say "[one of]One of the beavers drags a stick up to the dam.[or]Two beavers seem to be arguing over where to place a forked branch.[or]One of the beavers rests for a moment on top of the dam, enjoying the sun.[or]There is a [italic type]plop[roman type] as a beaver jumps off the dam into the lake.[or]A small pack of beavers heads purposefully into the woods.[or]One of the beavers starts whittling a branch with its serrated tusks.[or]A beaver pulls something out of the dam, and the other beavers start barking in panic at it.[or]A couple of beavers scuffle meaninglessly for a bit.[at random]".
			
Report AI when PlayerFox is in the Beaver Dam and the NPCBeavers are in the Beaver Dam:
	if the player was not in Beaver Dam and the player is in Beaver Dam:
		introduce the NPCBeavers;
		say "suddenly notice you and start hissing threateningly.";
	else:
		say "[one of]The beavers are circling you threateningly.[or]One of the beavers jabs at you with its tusks, making you jump.[or]A beaver charges you. You dodge out of the way.[or]One of the beavers makes a strange flat barking noise at you.[or]A beaver runs in behind you and tries to take a bite out of your tail. You snap at it as you skip out of the way.[or]Two of the beavers circle around behind you.[or]The beavers are trying to push you away from the dam.[or]The beavers are making a weird and very unpleasant hissing noise.[at random]".

Last report AI when the player is in the Beaver Dam and the NPCFox is in the Beaver Dam and the NPCBeavers are in the Beaver Dam:
	if the NPCFox was not in the Beaver Dam:
		introduce the NPCBeavers;
		say "suddenly notice the fox and start hissing threateningly. It stays well over to the west side of the dam."
		
Chapter - Deer

To move the deer (D - a direction):
	let L be the location of the NPCDeer;
	let W be the room D from L;
	move the NPCDeer tidily to W.
	
Last running the deer when the location of the NPCDeer contains a fox (called F):
	let L be the location of the NPCDeer;
	let OL be the last location of F;
	let FD be the direction of OL from L; [FD = direction the fox entered from]
	let DD be the fleeing direction away from FD in L through deer chasing territory;
	move the deer DD;
	now the NPCDeer are startled;
	dbg "the fox entered from [the FD], so the deer move [DD] to [the room DD of L]";
	stop.

Last running the deer when the direction of a fox from the location of the NPCDeer is not nothing:
	now the NPCDeer are wary.
			
Last running the deer when the location of the NPCDeer is aromatic:
	let L be the location of the NPCDeer;
	if L contains a bundle of aromatic leaves:
		now the food of the NPCDeer is a random bundle of aromatic leaves in L;
	if L is bushed:
		now the food of the NPCDeer is a random aromatic bush in L;
	if the food of the NPCDeer is not nothing:
		dbg "the deer eat [the food of the NPCDeer]";
		if the food of the NPCDeer is an aromatic bush:
			now the food of the NPCDeer is chewed;
		else:
			remove the food of the NPCDeer from play;
	else:
		dbg "the deer can smell herb but can't get at it";
	stop;

To decide what object is the deer-enticing direction:
	decide on the direction of an aromatic deer chasing territory not foxed room from the location of the NPCDeer.
	  
Last running the deer:
	let D be the deer-enticing direction;
	if D is not nothing:
		dbg "the deer smell the herb and move to [the D]";
		move the deer D;
	else:
		dbg "deer have nothing to do". 

Animal emotion for the NPCDeer when the NPCDeer are in Beaver Dam and the NPCBeavers are in Beaver Dam:
	rule succeeds with result irritation.
	
Animal emotion for the NPCDeer when the NPCDeer are wary:
	rule succeeds with result irritation.
	
Animal emotion for the NPCDeer when the NPCDeer are startled:
	rule succeeds with result annoyance.
	
Animal emotion for the NPCDeer when the food of the NPCDeer is not nothing:
	rule succeeds with result satisfaction.
	
Animal emotion for the NPCDeer:
	rule succeeds with result contentment.
	
			
Chapter - Fox

The fox move counter is a number that varies. The fox move counter is 1.

To move the fox (D - a direction):
	let L be the location of the NPCFox;
	let W be the room D from L;
	move the NPCFox tidily to W;
	follow the fox seeing the rabbit rule;
	follow the fox seeing the otter rule.

First running the fox when NPCFox is in the Deep Plunge:
	dbg "fox is drowning, doing nothing";
	stop.	
	
Running the fox when the quarry of the NPCFox was PlayerRabbit and the holder of PlayerRabbit is the holder of the NPCFox:
	say "The fox pounces on you. You just have time to think [italic type]oh, sh---[roman type] as its jaws close on your neck, and then everything stops.";
	end the story saying "You have been eaten";
	stop.
		
Running the fox when the NPCFox is seeing the rabbit (this is the fox seeing the rabbit rule):
	now the quarry of the NPCFox is PlayerRabbit;
	stop.

The NPCFox can be embarrassed.

Every turn when the NPCFox is alive and the location of the NPCFox does not contain an otter:
	now the NPCFox is not embarrassed.
	
Running the fox when the NPCFox is seeing the otter (this is the fox seeing the otter rule):
	if the quarry of the NPCFox is nothing and the NPCFox is not embarrassed:
		let O be a random otter in the location of the NPCFox;
		dbg "the fox sees [the O] and starts chasing";
		now the quarry of the NPCFox is O;
		now the current emotion of O is fear;
		stop.
		
Running the fox when the quarry of NPCFox was PlayerRabbit:
	let L be the location of the NPCFox;
	let D be the best route from L to (the holder of PlayerRabbit) through fox chasing territory;
	if D is nothing:
		dbg "the fox can't see the rabbit and stops chasing";
		now the quarry of NPCFox is nothing;
		now the fox move counter is 1;
	else:
		dbg "the fox chases the rabbit [D] to [the room D from L]";
		move the fox D;
	stop.

Running the fox when the quarry of NPCFox is an otter (called O):
	let L be the location of the NPCFox;
	let D be the best route from L to (the holder of O) through fox chasing territory;
	if D is nothing:
		dbg "the fox can't see the otter and stops chasing";
	else:
		dbg "the fox chases the otter [D] to [the room D from L]";
		move the fox D;
	now the NPCFox is embarrassed;
	now the quarry of NPCFox is nothing;
	now the fox move counter is 1;
	stop.

Definition: the NPCFox is wanting to move if the NPCFox is in the Beaver Dam or the fox move counter is even.

Running the fox when the NPCFox is wanting to move:
	now the fox move counter is 1;
	let L be the location of the NPCFox;
	let D be the best route from L to the location of the NPCDeer through fox chasing territory rooms;
	if D is nothing:
		let RR be a random fox chasing territory room adjacent to L;
		dbg "the fox has nothing to do, moving randomly to [RR] instead";
		now D is the direction of RR from L;
	else:
		let R be the room D from L;
		if R is fox chasing territory:
			dbg "the fox senses the deer and moves [D] to [R]";
		else:
			let RR be a random fox chasing territory room adjacent to L;
			dbg "the fox refuses to go to [R], so goes to [RR] instead";
			now D is the direction of RR from L;
	move the fox D;
	stop.
	
Last running the fox:
	dbg "fox move counter is [the fox move counter]";
	increment the fox move counter.

Animal emotion for the NPCFox when the quarry of the NPCFox is not nothing:
	rule succeeds with result excitement.
	
Animal emotion for the NPCFox when the quarry of the NPCFox is nothing and the quarry of the NPCFox was not nothing:
	rule succeeds with result irritation.
	
Animal emotion for the NPCFox:
	rule succeeds with result hunger.

Chapter - Otter

The NPCOtter has a number called patience.

To move the otter (D - a direction):
	let L be the location of the NPCOtter;
	let W be the room D from L;
	if W is the Burrow and the player is in the Burrow:
		now the NPCOtter is frustrated;
		dbg "burrow blocked by player";
	else:
		move the NPCOtter tidily to W.
	
[When chased, the otter will try to escape to the water, or if that's not possible, flee.]
Last running the otter when the location of the NPCOtter contains a fox (called F):
	let L be the location of the NPCOtter;
	let OL be the last location of F;
	let FD be the direction of OL from L; [FD = direction the fox entered from]
	let D be the best route from L to the Lake through otter chasing territory;
	if D is not nothing and the room D of L is not OL:
		dbg "the otter is being chased by the fox and moves [D] to [the room D of L], towards the lake";
		move the otter D;
		stop;
	now D is the fleeing direction away from FD in L through otter chasing territory;
	dbg "the otter is being chased by the fox and moves [D] to [the room D of L], fleeing";
	move the otter D;
	stop.

Last running the otter when a dead fish is in the location of the NPCOtter:
	dbg "the otter has fish, so it eats it";
	let L be the location of the NPCOtter;
	now the NPCOtter is consuming the fish;
	remove a random dead fish in L from play; 
	now the patience of the NPCOtter is 5;
	stop;

Last running the otter:
	let L be the location of the NPCOtter;
	let D be the direction of a dead fish from L;
	if D is not nothing:
		dbg "the otter can smell fish to [the D]";
		let W be the room D from L;
		if W contains a fox:
			dbg "[W] contains a fox, so the otter stays put";
		else:
			move the otter D;
			stop.
			
Last running the otter when the patience of the NPCOtter is greater than 0:
	dbg "standard otter AI";
	let L be the location of the NPCOtter;
	let D be the direction of the location of the player from L;
	if D is not nothing and L is not otter chasing territory:
		now the NPCOtter is frustrated;
	if D is not nothing and L is otter chasing territory:
		dbg "the otter is following the player to [the D]";
	else:
		if the location of the player is L:
			dbg "the otter is watching the player, and is staying put";
		else:
			dbg "the otter has no idea what to do, and so decides to go home";
			now the patience of the NPCOtter is -1;
	if D is not nothing:
		let W be the room D from L;
		if W contains a fox:
			dbg "[W] contains a fox, so the otter stays put";
			now the NPCOtter is frustrated;
		else:
			move the otter D;
	if the patience of the NPCOtter is at least 0:
		decrement the patience of the NPCOtter;
		stop.
		
Last running the otter when the patience of the NPCOtter is at most 0:
	dbg "the otter is out of patience and is going home";
	let L be the location of the NPCOtter;
	let D be the best route from L to the Lake through otter chasing territory not foxed rooms;
	if D is not nothing:
		move the otter D;
	else:
		dbg "otter can't find a way back to the lake and is staying put";
		now the NPCOtter is frustrated;
	now the patience of the NPCOtter is -1.
		
To kill the otter:
	remove the NPCOtter from play;
	repeat with F running through all dead fish in Burrow Interior:
		remove F from play;
	now the NPCOtter is dead;
	now the Deceased Otter is in Burrow Interior.
	
Animal emotion for the NPCOtter when the NPCOtter is consuming the fish:
	rule succeeds with result satisfaction.

Animal emotion for the NPCOtter when the patience of the NPCOtter is greater than 0 or the location of the NPCOtter contains a dead fish:
	rule succeeds with result hope.
	
Animal emotion for the NPCOtter when the quarry of NPCFox is NPCOtter:
	rule succeeds with result fear.
	
Animal emotion for the NPCOtter when the NPCOtter is frustrated:
	rule succeeds with result frustration.
	
Animal emotion for the NPCOtter when the NPCOtter is not in the Lake:
	rule succeeds with result disappointment.
	
Animal emotion for the NPCOtter:
	rule succeeds with result excitement.
	
Chapter - Lemur

Instead of doing something other than examining the NPCLemur when the NPCLemur is not in the Beaver Dam:
	if the location of the NPCLemur is bushed:
		say "There's no way you, or anyone else, can reach the lemur while it's inside those thorny bushes.";
	else:
		say "It's too far up in the trees."

Instead of taking the NPCLemur:
	say "You don't know what you're going to do with it once you've caught it, but you ruthlessly clamp down on the fox in the back of your mind and lunge at the lemur. You grab the terrified creature's neck in your jaws, trying not to hurt it, and feel its pulse flutter against your tongue.
	
The lemur doesn't cooperate. It squeals horribly and writhes in your grasp. There's a sickening [italic type]crack[roman type] and it goes limp.

You stand there, surrounded by blood and gore, with the lemur's body slowing cooling in your mouth.";
	now the NPCLemur is dead;
	remove the NPCLemur from play;
	now the deceased lemur is in the player;
	set pronouns from the deceased lemur.
	
To move the lemur (D - a direction):
	let L be the location of the NPCLemur;
	let W be the room D from L;
	move the NPCLemur tidily to W.

Running the lemur when the NPCLemur is angry:		
	dbg "lemur is angry";
	if the NPCLemur is in the Beaver Dam:
		dbg "lemur in dam";
		if the NPCLemur has been in the Beaver Dam for less than 2 turns:
			dbg "lemur is picking its way across the Beaver Dam";
			stop;
	let L be the location of the NPCLemur;
	let W be the best route from L to the location of the player through lemur chasing territory;
	if W is not nothing:
		let R be the room W of L;
		if R is the Beaver Dam:
			[The lemur will only enter the dam is the player isn't there.]
			if R encloses the player:
				dbg "lemur won't move into dam until player leaves";
				stop;
		dbg "lemur moves [W] to chase the player";
		move the lemur W;
	else:
		if L is the Beaver Dam and the player is in the Beaver Dam:
			dbg "lemur escapes from player";
			move the lemur east.

Definition: a room (called R) is bushed if it contains a not chewed aromatic bush.

Running the lemur when the NPCLemur is not angry:
	dbg "lemur is not angry";
	let L be the location of the NPCLemur;
	if L is not bushed:
		dbg "no bush where the lemur is, moving to the closest one";
		let W be the direction of a bushed room from L;
		if W is nothing:
			dbg "nowhere to go, lemur becomes angry";
			now the NPCLemur is angry;
			stop;
		else:
			move the lemur W;		
	[The lemur moves randomly, but infrequently.]
	if a random chance of 1 in 5 succeeds:
		let L be the location of the NPCLemur;
		let R be a random lemur wandering territory bushed room adjacent to L;
		if R is nothing:
			dbg "no more aromatic bushes other than here, lemur stays put";
		else:				
			move the lemur the direction of R from L;
			dbg "the lemur moves to [the R]".
	
Animal emotion rule for the NPCLemur when the NPCLemur is angry:
	rule succeeds with result anger.
	
Animal emotion rule for the NPCLemur when the NPCLemur was not angry and the location of the NPCLemur did not contain a not chewed aromatic bush:
	rule succeeds with result irritation.
	
Animal emotion rule for the NPCLemur:
	rule succeeds with result peacefulness.	

Part - Scene management

When play begins:
	move PlayerRabbit to the Cocoon;
	now the player is PlayerRabbit;
	remove yourself from play;
	say "You wake and see blood.
	
There's blood everywhere. So much blood, that at first you don't realise there's a figure behind the blood. It's alive, just; there's a face, twisted with pain, and more blood that bubbles from its mouth as it breathes, and a hand that spasms as it tries to paw at the thing projecting from where a chest should be. The eyes gaze into yours. There is still life and desperation there, but it it knows that it is quickly running out.

You want to help. You reach out --- and that is when you realise that you are looking into the inside of the reflective cockpit canopy, and that the face you can see is yours.";
	pause the game;
	clear the screen.

After printing the banner text:
	say "[line break]You wake.[paragraph break]Something's different."
	
	
Chapter - Prologue

Prologue is a scene. Prologue begins when play begins. Prologue ends when PSequence is 4.

PSequence is a number that varies.

When Prologue begins:
	now PSequence is 0.

Before examining the cathedral river when PSequence was 0 during Prologue:
	increment PSequence;
	continue the action.
	
Before going in the Forest Cathedral when PSequence was 0 during Prologue:
	say "No, you're not going anywhere just yet. Something's wrong.";
	stop the action.
	
DummyRabbit is a rabbit. Understand "rabbit", "corpse", "dead" as DummyRabbit.

Before going somewhere when PSequence was 1 during Prologue:
	say "Just as you're about to move, you see motion at the northern edge of the Mother Tree. In panic, you dive behind a tree.
	
A shape emerges from the light of the river arch: one rabbit dragging another. The one that is doing the pulling is a bit bigger than you are, and marked in black and white. The one on the ground... is obviously dead, eyes staring, grey fur tattered and muddy. It's heavy and awkward and the black and white rabbit is having difficulty moving it.

As you watch, one of the green cocoons silently splits open and unfolds. The black and white rabbit glances in your direction and then continues dragging the corpse after it into the cocoon.

[italic type]...the rabbit knows very little, but it knows this: its companion was once alive, and is now dead. And it wants it to be alive. This cannot happen, but there is a way they can be reunited, and the Mother Tree is kind. The rabbit is old and tired but it has enough strength to do this, and so it drags the rigid corpse to the Mother Tree. The strange zombie rabbit is watching it, but that is unimportant now. All there is left to do is wait.[roman type]

...what just happened?";
	increment PSequence;
	now DummyRabbit is in the Forest Cathedral;
	stop the action.

Before doing anything when PSequence was 2 during Prologue:
	say "The cocoon closes, as silently as it opened, about the two rabbits.";
	increment PSequence;
	remove DummyRabbit from play;
	continue the action.
	
After going to the Forest Cathedral when PSequence was 3 during Prologue:
	increment PSequence;
	continue the action.

When Prologue ends:
	say "A cocoon silently folds open. There's a moment's pause, and then a grey rabbit leaps out, streaks past you, and is gone.
	
The cocoon closes again."


Chapter - Being the Rabbit

Being the Rabbit is a scene. Being the Rabbit begins when play begins.

Being the Rabbit ends when the player is in the Cocoon and the player has the deceased otter.

To close the pod:
	say "The cocoon folds up around you, wrapping you in comforting, secure darkness.";
	now the open pod is closed.
	
When Being the Rabbit ends:
	close the pod;
	pause the game.
	
Chapter - Being the Otter

Being the Otter is a scene. Being the Otter begins when Being the Rabbit ends.

Being the Otter ends when the player is in the Cocoon and the player has the deceased fox.

When Being the Otter begins:
	clear the screen;
	show cutscene 1;
	pause the game;
	clear the screen;
	now PlayerOtter is in the Cocoon;
	now the player is PlayerOtter;
	remove PlayerRabbit from play;
	remove NPCOtter from play;
	now the NPCOtter is dead;
	say "You wake.[paragraph break]Something's different.";
	try looking. 

When Being the Otter ends:
	close the pod; 
	pause the game.
	
	

Chapter - Being the Fox

Being the Fox is a scene. Being the Fox begins when Being the Otter ends.

Being the Fox ends when the player is in the Cocoon and the player has the deceased lemur.

When Being the Fox begins:
	clear the screen;
	show cutscene 2;
	pause the game;
	clear the screen;
	now PlayerFox is in the Cocoon;
	now the player is PlayerFox;
	remove PlayerOtter from play;
	remove NPCFox from play;
	now NPCFox is dead;
	now the NPCDeer are introduced;
	say "You wake.[paragraph break]Something's different.";
	try looking.
	 
When Being the Fox ends:
	close the pod; 
	pause the game.
	
	
	

Chapter - Being the Lemur

Being the Lemur is a scene. Being the Lemur begins when Being the Fox ends.

Being the Lemur ends when the player is in the Cocoon and the player has your body.

When Being the Lemur begins:
	clear the screen;
	show cutscene 3;
	pause the game;
	clear the screen;
	now PlayerLemur is in the Cocoon;
	now the player is PlayerLemur;
	remove PlayerFox from play;
	remove NPCLemur from play;
	now NPCLemur is dead;
	remove NPCBeavers from play;
	now NPCBeavers are dead;
	remove the deceased beavers from play;
	say "You wake.[paragraph break]Something's different.";
	try looking.
	
When Being the Lemur ends:
	close the pod;
	pause the game.
	
	

Chapter - Epilogue

Epilogue is a scene. Epilogue begins when Being the Lemur ends.

Epilogue ends when the player has the cluster of sparks.

When Epilogue begins:
	clear the screen;
	show cutscene 5;
	pause the game;
	clear the screen;
	now the player is PlayerMotherTree;
	say "You wake.[paragraph break]Everything's different.";
	try looking.

When Epilogue ends:
	pause the game;
	show cutscene 6;
	end the game saying "You wake".

Chapter - Emerging into the Sunlight

To say introduction to Elysia:
	say "[first time]Once your eyes have adjusted, you look up. Yes, this is Elysia. The [Semiquaver] at least managed to crash on the right planet.

Although you [italic type]were[roman type] hurt pretty badly. Maybe the [Concerto] picked you up and this is some sort of recuperative virtuality? That would at least explain the whole... rabbit... thing.

Assuming for sanity's sake that this is real, the shuttle should be around here somewhere. [only]".
	


Chapter - Cutscene 1 - being briefed by the Concerto

To show cutscene 1:
	say "'Telepathy?' you say.
	
You're in one of the [Concerto][']s observation bubbles: a transparent sphere of force field held just off the hull. The huge bulk of the starship extends for kilometres behind you, but you've seen it before, and right now you have eyes only for the glowing jewel of the planet Elysia rolling past below.

'Telepathy,' repeats the [Concerto]. 'The real thing.'

'Some sort of organic radio, I presume,' you say. 'Or high bandwidth ultrasound. Or---'

'No,' says the [Concerto] impatiently. 'It's not electromagnetic, nor a matter wave, nor chemical message-passing. I've even checked for gravity waves. This is something new. And you know what that means.'

You don't say the words. You don't have to. [italic type]New physics.[roman type] A new lead to the unsolveable mystery of the universe. New growth in the barren garden of science.

'The planet is soaked in it,' says the [Concerto]. 'I've built some crude detectors --- just bits of animal brain inside NMR scanners --- and mapped the surface. The distribution's not even, but there's telepathic radiation everywhere.'

You reflect briefly on the [Concerto][']s legendary lack of squeamishness.

'Elysia is a perfect world,' it continues. 'Maybe too perfect. It may be too valuable to colonise. It may be too [italic type]dangerous[roman type] to colonise. I have no idea whether there's any effect on human minds.'

'You'll need some pretty hard evidence to persuade the exploitation team to stay in space when Elysia's right here,' you say.

'And I don't have it,' says the [Concerto]. 'There's an effect. That's all I know. That's all [italic type]we[roman type] know. We don't have any idea of the what the implications are, only what they might be.'

'You think the exploitation team won't buy it,' you say. 'You think they'll want to go ahead with full scale colonisation and only investigate this when they're down there.'

'Of course they will,' says the [Concerto]. 'The exploration team live in space. They'll be perfectly happy about staying in orbit for another decade to look into this --- most of them were going to stay here anyway. But the exploitation team won't tolerate that.'

'So what are you going to do?' you ask.

'The exploitation team is still frozen, which means I hold their proxy votes,' says the [Concerto]. 'For important decisions I have to wake a representative sample, and this is important. This means I have to wake them. I [italic type]have[roman type] to, you understand?'

The [Concerto][']s own built-in safeguards limit how much it can bend the rules. 'When?' you say.

'Soon,' the [Concerto] says. 'I'll delay as long as I can. But I [italic type]must[roman type] wake them. In the mean time... we need more data. That's where you come in.'

'Ah,' you say. 'You want me to go and look and then tell you what to say.' 

'Correct,' says the [Concerto].

"

Chapter - Cutscene 2 - Francis in the bar

To show cutscene 2:
	say "You've barely sipped your vodka and orange when you hear someone call your name. You look up. 'Oh, there you are,' you say.
	
Francis Terrier, head of the survey department, and one of the few people who can tell the [Concerto] what to do, sits down heavily beside you, takes his drink --- now warm --- and stares tiredly at the view for a while. The [Concerto][']s vast garden slowly tumbles around the pair of you. The Centrifugal Bar makes the planet-bred exploitation team nauseous. However, you're both in the exploration team, and after sixteen hours of continuous briefings you find it pleasantly relaxing.

'I need to tell you something,' he says eventually. You raise your eyebrows at him. 'Things are tense here. Really tense,' he says.

'Did smalltalk go out of fashion while I was frozen down?' you mutter, and sigh. 'Is this about the telepathy thing?'

'Keep your voice down!' he hisses, glancing around. 'God, and you're supposed to be our hotshot intuitionist... no. That's not what it's about. It's about delaying colonisation.'

'Are we?' you say. 'I thought that hadn't been decided yet.'

He says nothing for a moment, and then says, 'What if I were to tell you that not all the exploitation team is frozen?'

You raise your eyebrows. 'How is that possible?'

'The cryo facilities are run by humans,' he says. 'Part of the frankenstein safeguards, remember? And there's a fringe element of the explorer team that sympathises with the exploiters.'

'There always is,' you say. 'It's called the human condition...' You frown. 'Waking the exploitation team before the planet's been cleared for colonisation violates the protocols.'

'Sure, but they think the [Concerto] is [italic type]already[roman type] violating the protocols,' Francis says quietly.

'But that's impossible,' you says. 'The safeguards...'

He waves your protests away. 'I know that, you know that, and they would know that if they were thinking rationally, but they're not. They're terrified that this is a bid for power by the [Concerto], and they're taking action to prevent that.'

'That's mad,' you say flatly.[paragraph break]";
	say "'It gets worse,' he says. 'In this scenario, you are an accomplice to the [Concerto].'

As you stare at him blankly, something moves in the back of your mind. 'You think that they might strike at me, as a proxy for the [Concerto]. You're trying to tell me I'm in danger.'

'Right now, you're popular,' Francis says. 'That work you did on Brimstone.'

'But nobody falls faster than a failed saint,' you say. The pieces fit together inexorably in your head: hatred, vilification, polarisation, extremism. Accusations of treason. An [']execution[']. And, of course, if they truly believe that your decision is a foregone conclusion, there's no need to wait until you actually [italic type]make it[roman type] before taking action. 'Crap. How many of these people are there?'

Francis has been watching your face move as you work through all this. 'Enough,' he says. 'I take it martyrdom's not your thing?'

'Hardly,' you say. 'What do you suggest I do?'

Francis gives you a hard stare. 'Be very, very careful.'

"

Chapter - Cutscene 3 - The rebellion

To show cutscene 3:
	say "You never thought you'd hear the noise of a mob in the corridors of the [Concerto]. You never thought you'd hear it at all.
	
You race down the free fall corridor, taking the corners too quickly, bouncing from one jump pad to the next. If you don't hit each one accurately you could well sprain an ankle, but if that mob of frenzied explorers behind you catches you you'll probably die.

The [Concerto][']s voice quietly gibbers in your ear. 'What happened? Why are they behaving like this? How did this happen so [italic type]quickly[roman type]?'

'Anger,' you mutter as you try to concentrate. 'Fear. Bias. Willful stupidity...'

You sail out of the end of the corridor into a junction. Behind you, a hatch slams shut and the noise cuts off.

'That won't hold them for long,' you say, as you grab a handhold and come to a halt. 'Manual overrides.'

'I know, I know,' says the [Concerto]. 'I don't know what else to do...' The starship, normally so firm and decisive, almost sounds like it's in tears.

'We had a plan, remember?' you say soothingly. 'I'll get off the ship and get down to the planet. I'll be out of reach there and this will burn itself out. They'll see reason. Talk to Anthropology, they'll know what to do. Talk to Francis.'

'Yes, yes...'

'Shut down the fabbers,' you say. 'Do [italic type]not[roman type] let anyone make weapons. Anyone, you understand?'

There's a pause. 'Humans are so complicated,' says the [Concerto], now sounding calmer. 'I so much prefer doing surveys.'

'Yeah, me too,' you say, and head off down to the hangar bay.

Half-way there, the [Concerto] suddenly says: 'I've just lost all access to the forward topside district.'

'What?' you say, swinging on a handhold. The [Concerto][']s internal telemetry and control systems are multiply redundant. That kind of failure should not be possible.

'I need to focus,' says the [Concerto], and is silent.

The hangar bay is a vast empty space full of ships, protected from the vaccum by a semipermeable force shield. You're after the [italic type]Minim[roman type], a small laboratory vessel. It's down the far end. Before you can move people start pouring into the hangar through the far access, blocking your way. 'Shit,' you mutter, and dive into a nearby shuttle: the [Semiquaver].

'Hi there!' it says cheerfully, as the hatch seals behind you. 'Where to?'

You jump through to the cockpit and strap yourself down. 'The planet's surface. Anywhere. As quickly as possible!'

'Sure thing,' it says, and begins powering up.

Outside, the mob get closer.

"

Chapter - Cutscene 4 - finding your body

To say cutscene 4:
	say "As soon as you enter the smell of old death hits you and penetrates right to the core of your soul. You find your eyes tracking up, looking for the source of the blood, and even though you know what you're going to see the shock is still almost unbearable: one of the acceleration chairs is occupied. And as you slowly move around to see who by, you see that, of course, it's you.

The blood was fresh. You had felt the pain, and had climbed up out of the canyon and onto the shuttle, and looked through the canopy; and the creature inside was slowly dying, in pain, choking on its own blood and despair. So you reached out to its mind, to share the pain and give it what help you could... 

But instead of the familiar trickle of emotions and unformed reasoning, what you received from the creature was a tidal wave of words, concepts, logic, abstract reasoning that rushed in and overwhelmed your simple animal personality. Everything that made you you dissolved and was --- not lost, but diluted. A mere thought in the vastly more ordered mind that was yours. And you found yourself staring at your own dying self, and you could see in your eyes that you hadn't even noticed anything had happened...

No wonder you ran. And then there was just the rush of air as the world spun about you, and the green dome of the Mother Tree swelled below. "


Chapter - Cutscene 5 - becoming the mother tree

To show cutscene 5:
	Say "The Mother Tree prizes mind above all other things.
	
Once it was merely a carnivorous plant, using rudimentary telepathy to lure creatures into its grip. But telepathy always works in both directions, and over time it started taking on aspects of the animals it ate. And the one thing that all animals have in common is a desire to survive.

Now, the animals in the canyon bring the Mother Tree their sick, their injured, and their dead. The Mother Tree repairs where it can, rebuilds when it must, and any leftovers are... disposed of. The minds of its patients are accepted into itself and digested, too; the Mother Tree's own mind is a dream state mingling of all the creatures that have ever passed through it.

It blends memories and minds, constructing composite consciousnesses to pour into the rebuilt bodies. Any creature that gives itself to the Mother Tree is assured of continued existence [italic type]somehow[roman type]. And so the Mother Tree thrives, doing well by doing good. 

But another quality all animals share is wariness, and recently odd things have been happening: new minds of unfamiliar shape have appeared nearby; hot, electric, angular, full of logic and spiky, multilayered awareness.

When one of these minds fell into the Mother Tree's grasp, it was cautious. The body which housed it was damaged, but not badly so. The Mother Tree repaired the body, inspected the mind from a distance, and then let it go. No need to do more.

Now the Mother Tree is damaged, and badly so. Many of its cocoons have gone, taking with them half-repaired animals, now dead forever. Its memory has been damaged. It is hurt.

A client appears; a small creature with the alien mind, and a much larger corpse. The Mother Tree knows this bargain, but right now it cannot spare the resources. It is going to have to digest them both.

The Mother Tree prizes mind above all other things. It draws the alien mind into itself...

"   

Chapter - Cutscene 6 - epilogue

To show cutscene 6:
	Say "A rush of memories slams into you: a wave of images of things you never did, and yet at that moment of realisation you realise that you [italic type]did[roman type] do them --- how could it be otherwise when that person is now you? You swell, absorbing them all, changing, as you become them and they become you...
	
You suddenly realise why the mutiny happened, as you become both attacker and defender; the guilt of the culprit and the pain of the victim coexist uneasily. But that's just part of being human, and both of you grieve for the pointless deaths, and those minds which are gone forever. And in a sudden moment of awareness you realise what it is like to live for a thousand years, and you remember distant Earth seen through infrared eyes as you light the drive and leave for the stars --- the [Concerto] is here too. You remember rescuing its AI core, jumping from the burning wreckage with it clutched in your spacesuited arms, and as you remember Francis['] desperate bravery, and with sudden astonishment you and you and you realise just what you meant to each other. And the [Semiquaver] is here, rescued from a buffer in the comsat net, and again you are filled with astonished pride at that impossible descent through Elysia's atmosphere.

You swell, and suddenly the complexity of the Mother Tree isn't overwhelming any more. [italic type]Of course[roman type], you think. [italic type]How obvious.[roman type]

The flow of minds stops. There is nothing out there any more but cooling protein and logic diamond, and the tumbling fragments that used to be a starship. But that is all right, because you don't need them any more.

You take a few moments to gather yourself, and double check your responsibilities.

Then you reach out to the other Mother Trees on Elysia. [italic type]Welcome,[roman type] you say, and gather them in.

"

Part - Help

Getting help is an action out of world. Understand "help" as getting help.

Report getting help:
	say "You can try ABOUT, HINT, CREDITS, LICENSE or WALKTHROUGH."
	
Getting the about text is an action out of world. Understand "about" as getting the about text.

Report getting the about text:
	say "[Changes] is a game by David Given. This is the IFComp 2012 edition.
	
If you're new to interactive fiction, I would strongly suggest visiting a website such as [fixed letter spacing]http://pr-if.org/play[variable letter spacing], which will explain what it's all about and what the commands are.

As basic advice for playing [Changes]: the game can be completed using simple verb-noun commands. If you find yourself trying to do things with other things, or putting stuff on top of other stuff, you may want to try reconsidering your approach.

This game is [italic type]polite[roman type] by the Zarfian Cruelty Scale. There are occasions when the game can become uncompletable but it's totally obvious when this has happened.

If you have any comments or feedback or cakes, please send them to [fixed letter spacing]dg@cowlark.com[variable letter spacing]."
	
Getting the credits is an action out of world. Understand "credits" as getting the credits.

Report getting the credits:
	say "[Changes] is © 2012 David Given.
This game is redistributable under the terms of the CC BY-ND Creative Commons License. Use the LICENSE command for more information.
	
Many thanks to the beta testers, without whose assistance this game would have been terrible:[line break]
D. J. Hastings[line break]
Kevin Jackson-Mead[line break]
Andy Joel[line break]
Paul Lee[paragraph break]".
	
Getting the walkthrough is an action out of world. Understand "walkthrough" or "walkthru" as getting the walkthrough.

Report getting the walkthrough:
	say "The walkthrough is really intended for test purposes, and makes no attempt to hide spoilers. It will most likely utterly ruin your enjoyment of the game.

Are you absolutely sure you want to see it? ";
	if player consents:
		show the walkthrough.
	 
To show the walkthrough:
	say "[line break]A formal turn-by-turn walkthough isn't really possible in [Changes], because it's full of animals which react to the player by moving in random ways. As a result, they're very likely to be in a different place to where the walkthrough expects. So sections of this will have to be voiced in fairly general terms.

General advice: if the rabbit runs into the fox, it will chase you. You are safe in the burrow, in the Forest Cathedral, or on top of the boulder. If the otter runs into the fox, it will also chase you, but only one move before giving up.

Step 0: to get out of the introduction: OUT / X ME / N / N.

Step 1: as the rabbit: go to the Sandy Mound; DIG. Go to the Beaver Dam; GET FISH. Go to the Sandy Mound; IN / DROP FISH. Go to the Beaver Dam; GET FISH / N / DROP FISH / Z. Lead the otter to the Sandy Mound. Z / PUSH RUBBLE / DIG / GET BODY / E / S / S / IN.

Step 2: as the otter: go to the Cascades. Wait. The deer will show up, and the fox will follow them. When the fox arrives, N / Z / Z / Z / Z / GET BODY / D / W / S / S / S / S / S / IN.

Step 3: as the fox: make sure the lemur has seen you. Go to Beaver Dam. KILL BEAVERS. Either herd the deer into the Beaver Dam or lead them in with a trail of aromatic herb. Follow them while they eat the bushes on the east side of the river. Wait until the lemur becomes angry and starts following you. Cross to the other side of the Beaver Dam from where it is. Immediately double back to catch it on the exposed Dam. GET LEMUR / S / S / S / S / IN.

Step 4: as the lemur: OUT / N / N / X BRANCHES / GET BRANCH. Go to the Wrecked Shuttle. DROP BRANCH. Go back to the Forest Cathedral. S / X STICKS / GET STICK. Go back to the Wrecked Shuttle. CLIMB BRANCH / OPEN HATCH / D / IN / X HYPERWAVE / PRESS BUTTON / G / G / OPEN DOOR / S / X BODY / IN / S / GET SHARD / GET BODY / N / OUT / DROP BODY / X FORWARD BULKHEAD / X POWER / PRESS SWITCH. Go back to the Forest Cathedral. GET BODY / IN.

Step 5: epilogue: GET SPARKS."

Getting the license is an action out of world. Understand "license" as getting the license.

Report getting the license:
	say "[Changes] is © 2012 David Given.
	
The game is redistributable under the terms of the Creative Commons BY-ND license. The inaccurate summary of this is that you are allowed to make copies of the game at will, for any purpose including commercial, provided:
	
• the work is properly attributed[line break]• the work is unmodified

See [fixed letter spacing]http://creativecommons.org/licenses/by-nd/3.0/[variable letter spacing] for the definitive terms.

[italic type]However[roman type], despite the license forbidding modified versions of this game, if you want to create such a version and you contact me at [fixed letter spacing]dg@cowlark.com[variable letter spacing], I will most likely say yes. I just want to know who you are."

Part - hints

Getting a hint is an action out of world. Understand "hint" as getting a hint. Understand "hints" as getting a hint.

Last report getting a hint when (Bottom of the Canyon is not visited and the Marsh is not visited) during the Prologue:
	say "You desperately need to get outside and find your bearings.";
	stop.
	
Last report getting a hint when (the Wrecked Shuttle is not visited) during Being the Rabbit:
	say "First things first: where [italic type]has[roman type] the shuttle got to?";
	stop.

Last report getting a hint when (the Cascades is not visited or the Beach is not visited or the Sandy Mound is not visited or Bottom of the Canyon is not visited or the NPCFox is not introduced or the NPCDeer are not introduced) during Being the Rabbit:
	say "Getting the shuttle hatch open is obviously going to be more work than you were expecting. You should probably search the canyon for useful resources. You never know what might be useful.";
	stop.

Last report getting a hint when (the quarry of the NPCFox has been PlayerRabbit and the patience of the NPCOtter has not been greater than 0) during Being the Rabbit:
	say "That fox is going to be a pain, but there's nothing you're going to be able to do about it when stuck in a rabbit's body. You wish you were bigger and stronger.";
	stop.
	
Last report getting a hint when (the NPCOtter is dead) during Being the Rabbit:
	say "You feel incredibly guilty about killing the otter --- but now it's done, should you be doing something with the body?";
	stop.
	
Last report getting a hint when (the patience of the NPCOtter has not been greater than 0) during Being the Rabbit:
	say "The otter looks like it would be big enough to stand up to the fox, but you're not sure how that helps.";
	stop.
	
Last report getting a hint when (the NPCOtter is in the Burrow Interior) during Being the Rabbit:
	say "If the burrow collapsed on the otter while it was in there, it could be seriously hurt.";
	stop.
	
Last report getting a hint when (the patience of the NPCOtter has been greater than 0) during Being the Rabbit:
	say "The route to an otter's heart is obviously through the stomach, but where can you lead it?";
	stop.

Last report getting a hint when (the Deep Plunge is not visited) during Being the Otter:
	say "Being an otter is so much better than being a rabbit. You can swim, for a start.";
	stop.
	
Last report getting a hint when (the player is in the Deep Plunge) during Being the Otter:
	say "There's obviously no way to climb out of this pool.";
	stop.
	
Last report getting a hint when (the Precarious Ledge is not visited) during Being the Otter:
	say "Wasn't there a way round the back of the rock pool?";
	stop.
	
Last report getting a hint when (the NPCFox is alive) during Being the Otter:
	say "The way the fox leaps at anything that looks even remotely edible is a bit of a liability --- it might end up somewhere it didn't want to go.";
	stop.
	
Last report getting a hint during Being the Otter:
	say "Another body. At least you know what to do with them now.";
	stop.
	
The NPCLemur can be fox-examined. After examining the NPCLemur when the player is a fox:
	now the NPCLemur is fox-examined.

Last report getting a hint when (the NPCLemur is dead) during Being the Fox:
	say "You wish you hadn't killed it. Still...";
	stop.
		
Last report getting a hint when (the NPCLemur is not fox-examined) during Being the Fox:
	say "You still don't have any way to open the shuttle hatch, but at least you're bigger now. You need fingers.";
	stop.

Last report getting a hint when (the NPCLemur is fox-examined and the NPCBeavers are alive) during Being the Fox:
	say "There's no way you can get at the lemur while it can hide in those bushes. This side of the canyon is very overgrown --- there obviously aren't any big herbivores here.";
	stop.
	
Last report getting a hint when (the NPCBeavers are dead and the NPCLemur is angry) during Being the Fox:
	say "At least the lemur's not in the bushes any more. It must come down from the trees some time.";
	stop.

Last report getting a hint when (the NPCBeavers are dead and the NPCLemur is not angry) during Being the Fox:
	say "The deer must be relieved not to have the beavers harassing them by the dam. Assuming they've noticed, of course.";
	stop.
		
Last report getting a hint when (your body is in the Forest Cathedral or the branch is in the Forest Cathedral) during Being the Lemur:
	say "The stuff you left outside the shuttle must have gone [italic type]somewhere[roman type].";
	stop.

Last report getting a hint when (the branch is not handled) during Being the Lemur:
	say "Finally, fingers! Pity you can't reach the access panel. You need to be higher...";
	stop.
	
Last report getting a hint when (the stick is not handled) during Being the Lemur:
	say "You probably need a longer reach, somehow, too.";
	stop.
	
Last report getting a hint when (the main hatch is not open) during Being the Lemur:
	say "You can't [italic type]count[roman type] how many times you've opened the [Semiquaver's] hatch before. It's really not that complicated.";
	stop.
	
Last report getting a hint when (we have not pressed the button) during Being the Lemur:
	say "Finally, you can get into the shuttle. Now to send a distress signal and you can get [italic type]off[roman type] this rock.";
	stop.
	
Last report getting a hint when (the Cockpit has not been visited) during Being the Lemur:
	say "Why isn't the [Concerto] replying? Is there something you've missed?";
	stop.
	
Last report getting a hint when (your body has not been handled) during Being the Lemur:
	say "You really don't want to think about it, but... well, there's a body here...";
	stop.
	
Last report getting a hint when (we have not pressed the reset switch) during Being the Lemur:
	say "Dragging your body all the way back to the Mother Tree is obviously not going to work. Maybe some of the equipment on the [Semiquaver] could help.";
	stop.
	 
Last report getting a hint:
	say "This is totally beyond you."

Part - live hints

player-escaped-from-fox-count is a number which varies. player-escaped-from-fox-count is 0.

Last every turn when the quarry of the NPCFox was PlayerRabbit and the quarry of the NPCFox is not PlayerRabbit:
	if player-escaped-from-fox-count is 4:
		say "That fox is really annoying, but at least you can run faster than it can --- provided you keep moving it's no real danger. You're grimly sure that a real rabbit would have some kind of animal sense to let it keep a safe distance away.";
	increment player-escaped-from-fox-count.
	
Part - Testing

To dbg (T - an indexed text):
	do nothing.
	
Part - Testing - not for release

Chapter - misc

Debugging is a truth state that varies. Debugging is false.

Understand "dbg" as toggling debugging. Toggling debugging is an action out of world applying to nothing.

Carry out toggling debugging:
	if debugging is true:
		now debugging is false;
		say "(debugging off)";
	else:
		now debugging is true;
		say "(debugging on)"
	
To dbg (T - an indexed text):
	if debugging is true:
		say "### [T][line break]".

To pause the game:
	say "(pausing the game here - skipping because we're a debug build)[br]".

To clear the screen:
	say "(clearing the screen here - skipping because we're a debug build)[br]".

Chapter - shapeshifting

Understand "become [any inhabitable animal]" as shapechanging. 
Shapechanging is an action applying to one thing.

Before shapechanging:
	ignore the basic accessibility rule.

Instead of shapechanging an inhabitable animal:
	if the noun is the player:
		say "You're already [the noun].";
	else:		
		if the location of the noun is nowhere:
			say "[The printed name of noun] materialises beside you. ";
			move the noun to the holder of the player;
		let old-player be the player;
		now the player is the noun;
		say "You become [the printed name of noun].";
		if the location of the player is not the location of old-player:
			try looking.
	
Chapter - reporting location of animals

Understand "census" as reporting census. Reporting census is an action out of world applying to nothing.

Carry out reporting census:
	repeat with X running through animals:
		let E be the emotion produced by the animal emotion rules for X;
		say "[The printed name of X][if X is the player] (you)[end if] -> [the location of X] ([E]).";
		
		